<?php

return [
    'users' => [
        'sessions' => [
            'email'                => 'Email Address',
            'forget-password-link' => 'Forget Password ?',
            'password'             => 'Password',
            'submit-btn'           => 'Sign In',
            'title'                => 'Sign In',
        ],

        'forget-password' => [
            'create'    => [
                'email'           => 'Registered Email',
                'email-not-exist' => 'Email Not Exists',
                'page-title'      => 'Forget Password',
                'reset-link-sent' => 'Reset Password link sent',
                'sign-in-link'    => 'Back to Sign In ?',
                'submit-btn'      => 'Reset',
                'title'           => 'Recover Password',
            ],
        ],

        'reset-password' => [
            'back-link-title'  => 'Back to Sign In ?',
            'confirm-password' => 'Confirm Password',
            'email'            => 'Registered Email',
            'password'         => 'Password',
            'submit-btn'       => 'Reset Password',
            'title'            => 'Reset Password',
        ],
    ],

    'notifications' => [
        'description-text'      => 'List all the Notifications',
        'marked-success'        => 'Notification Marked Successfully',
        'no-record'             => 'No Record Found',
        'read-all'              => 'Mark as Read',
        'title'                 => 'Notifications',
        'view-all'              => 'View All',

        'order-status-messages' => [
            'completed'       => 'Order Completed',
            'closed'          => 'Order Closed',
            'canceled'        => 'Order Canceled',
            'pending'         => 'Order Pending',
            'processing'      => 'Order Processing',
            'pending-payment' => 'Pending Payment',
        ],

        'status'  => [
            'all'        => 'All',
            'canceled'   => 'Canceled',
            'closed'     => 'Closed',
            'completed'  => 'Completed',
            'pending'    => 'Pending',
            'processing' => 'Processing',
        ],
    ],

    'account' => [
        'edit' => [
            'back-btn'          => 'Back',
            'confirm-password'  => 'Confirm Password',
            'change-password'   => 'Change Password',
            'current-password'  => 'Current Password',
            'email'             => 'Email',
            'general'           => 'General',
            'invalid-password'  => 'The current password you entered is incorrect.',
            'name'              => 'Name',
            'profile-image'     => 'Profile Image',
            'password'          => 'Password',
            'save-btn'          => 'Save Account',
            'title'             => 'My Account',
            'upload-image-info' => 'Upload a Profile Image (110px X 110px) in PNG or JPG Format',
            'update-success'    => 'Account updated successfully',
        ],
    ],

    'dashboard' => [
        'index' => [
            'add-customer'                => 'Add Customer',
            'average-sale'                => 'Average Order Sale',
            'add-product'                 => 'Add Product',
            'attribute-code'              => 'Attribute Code',
            'color'                       => 'Color',
            'customer-with-most-sales'    => 'Customer With Most Sales',
            'customer-info'               => 'No Customer Found With Most Sales',
            'date-duration'               => ':start - :end',
            'decreased'                   => ':progress%',
            'end-date'                    => 'End Date',
            'empty-threshold'             => 'Empty Threshold',
            'empty-threshold-description' => 'There is no product available',
            'from'                        => 'From',
            'increased'                   => ':progress%',
            'more-products'               => ':product_count+ More Images',
            'order-count'                 => ':count Orders',
            'order'                       => ':total_orders Orders',
            'order-id'                    => '#:id',
            'overall-details'             => 'Overall Details',
            'product-count'               => ':count Products',
            'product-number'              => 'Product - :product_number',
            'product-image'               => 'Product Image',
            'pay-by'                      => 'Pay By - :method',
            'product-info'                => 'Add related products on the go.',
            'revenue'                     => 'Revenue :total',
            'stock-threshold'             => 'Stock Threshold',
            'sale-count'                  => ':count Sales',
            'sales'                       => 'Sales',
            'sku'                         => 'SKU - :sku',
            'start-date'                  => 'Start Date',
            'store-stats'                 => 'Store Stats',
            'to'                          => 'To',
            'title'                       => 'Dashboard',
            'top-performing-categories'   => 'Top Performing Categories',
            'top-selling-products'        => 'Top Selling Products',
            'total-customers'             => 'Total Customers',
            'total-orders'                => 'Total Orders',
            'total-sales'                 => 'Total Sales',
            'total-unpaid-invoices'       => 'Total Unpaid Invoices',
            'total-stock'                 => ':total_stock Stock',
            'today-orders'                => 'Today’s Orders',
            'today-sales'                 => 'Today’s Sales',
            'today-customers'             => 'Today’s Customers',
            'today-details'               => 'Today’s Details',
            'unique-visitors'             => ':count unique',
            'user-name'                   => 'Hi ! :user_name',
            'user-info'                   => 'Quickly Review what’s going on in your store',
            'visitors'                    => 'Visitors',
        ],
    ],

    'sales' => [
        'orders' => [
            'index' => [
                'title' => 'Orders',

                'datagrid' => [
                    'customer'        => 'Customer',
                    'channel-name'    => 'Channel',
                    'completed'       => 'Completed',
                    'canceled'        => 'Canceled',
                    'closed'          => 'Closed',
                    'date'            => 'Date',
                    'email'           => 'Email',
                    'fraud'           => 'Fraud',
                    'grand-total'     => 'Grand Total',
                    'id'              => '#:id',
                    'images'          => 'Images',
                    'location'        => 'Location',
                    'order-id'        => 'Order ID',
                    'pay-via'         => 'Pay Via',
                    'pay-by'          => 'Pay By - :method',
                    'processing'      => 'Processing',
                    'pending'         => 'Pending',
                    'pending-payment' => 'Pending Payment',
                    'product-count'   => ':count + More Products',
                    'status'          => 'Status',
                    'success'         => 'Success',
                    'view'            => 'View',
                ],
            ],

            'view' => [
                'amount-per-unit'       => ':amount Per Unit x :qty Quantity',
                'billing-address'       => 'Billing Address',
                'cancel'                => 'Cancel',
                'comments'              => 'Comments',
                'cancel-msg'            => 'Are your sure you want to cancel this order',
                'customer-notified'     => ':date | Customer <b>Notified</b>',
                'customer-not-notified' => ':date | Customer <b>Not Notified</b>',
                'customer'              => 'Customer',
                'customer-group'        => 'Customer Group',
                'channel'               => 'Channel',
                'currency'              => 'Currency',
                'contact'               => 'Contact',
                'comment-success'       => 'Comment added successfully.',
                'create-success'        => 'Order created successfully',
                'cancel-success'        => 'Order cancelled successfully',
                'canceled'              => 'Canceled',
                'closed'                => 'Closed',
                'completed'             => 'Completed',
                'discount'              => 'Discount - :discount',
                'download-pdf'          => 'Download PDF',
                'grand-total'           => 'Grand Total - :grand_total',
                'item-ordered'          => 'Ordered (:qty_ordered)',
                'item-invoice'          => 'Invoiced (:qty_invoiced)',
                'item-shipped'          => 'Shipped (:qty_shipped)',
                'item-canceled'         => 'Canceled (:qty_canceled)',
                'item-refunded'         => 'Refunded (:qty_refunded)',
                'invoice-id'            => 'Invoice #:invoice',
                'invoices'              => 'Invoices',
                'notify-customer'       => 'Notify Customer',
                'no-invoice-found'      => 'No Invoice Found',
                'no-shipment-found'     => 'No Shipments Found',
                'name'                  => 'Name',
                'no-refund-found'       => 'No Refund Found',
                'order-date'            => 'Order Date',
                'order-status'          => 'Order Status',
                'order-information'     => 'Order Information',
                'payment-and-shipping'  => 'Payment and Shipping',
                'price'                 => 'Price - :price',
                'payment-method'        => 'Payment method',
                'per-unit'              => 'Per Unit',
                'pending'               => 'Pending',
                'processing'            => 'Processing',
                'quantity'              => 'Quantity',
                'refunded'              => 'Refunded',
                'refund-id'             => 'Refund #:refund',
                'refund'                => 'Refund',
                'summary-grand-total'   => 'Grand Total',
                'ship'                  => 'Ship',
                'shipment'              => 'Shipment #:shipment',
                'sku'                   => 'SKU - :sku',
                'sub-total'             => 'Sub Total - :sub_total',
                'summary-sub-total'     => 'Sub Total',
                'summary-tax'           => 'Tax',
                'shipping-and-handling' => 'Shipping and Handling',
                'submit-comment'        => 'Submit Comment',
                'shipments'             => 'Shipments',
                'shipping-method'       => 'Shipping Method',
                'shipping-price'        => 'Shipping Price',
                'shipping-address'      => 'Shipping Address',
                'status'                => 'Status',
                'title'                 => 'Order #:order_id',
                'tax'                   => 'Tax - :tax',
                'total-paid'            => 'Total Paid',
                'total-refund'          => 'Total Refund',
                'total-due'             => 'Total Due',
                'view'                  => 'View',
                'write-your-comment'    => 'Write your comment',
            ],
        ],

        'shipments' => [
            'index' => [
                'title' => 'Shipments',

                'datagrid'  => [
                    'id'               => 'ID',
                    'inventory-source' => 'Inventory Source',
                    'order-id'         => 'Order ID',
                    'order-date'       => 'Order Date',
                    'shipment-date'    => 'Shipment Date',
                    'shipment-to'      => 'Shipment To',
                    'total-qty'        => 'Total Quantity',
                    'view'             => 'View',
                ],
            ],

            'create' => [
                'amount-per-unit'  => ':amount Per Unit x :qty Quantity',
                'cancel-error'     => 'Order not be canceled',
                'carrier-name'     => 'Carrier Name',
                'creation-error'   => 'Error on Shipment creation',
                'create-btn'       => 'Create Shipment',
                'item-ordered'     => 'Ordered (:qty_ordered)',
                'item-invoice'     => 'Invoiced (:qty_invoiced)',
                'item-shipped'     => 'Shipped (:qty_shipped)',
                'item-canceled'    => 'Canceled (:qty_canceled)',
                'item-refunded'    => 'Refunded (:qty_refunded)',
                'order-error'      => 'Shipment is not valid',
                'per-unit'         => 'Per Unit',
                'qty-to-ship'      => 'Qty. To Ship',
                'qty-available'    => 'Qty. Available',
                'quantity-invalid' => 'Qty. Invalid',
                'source'           => 'Source',
                'sku'              => 'SKU - :sku',
                'success'          => 'Shipment created successfully',
                'title'            => 'Create new Shipment',
                'tracking-number'  => 'Tracking Number',
            ],

            'view' => [
                'billing-address'      => 'Billing Address',
                'carrier-title'        => 'Carrier Title',
                'currency'             => 'Currency',
                'channel'              => 'Channel',
                'customer'             => 'Customer',
                'email'                => 'Email - :email',
                'inventory-source'     => 'Inventory Source',
                'ordered-items'        => 'Ordered Items',
                'order-information'    => 'Order Information',
                'order-id'             => 'Order ID',
                'order-date'           => 'Order Date',
                'order-status'         => 'Order Status',
                'product-image'        => 'Product Image',
                'payment-and-shipping' => 'Payment and Shipping',
                'payment-method'       => 'Payment Method',
                'qty'                  => 'Quantity - :qty',
                'sku'                  => 'SKU - :sku ',
                'shipping-address'     => 'Shipping Address',
                'shipping-method'      => 'Shipping Method',
                'shipping-price'       => 'Shipping Price',
                'title'                => 'Shipment #:shipment_id',
                'tracking-number'      => 'Tracking Number',
            ],
        ],

        'refunds' => [
            'index' => [
                'title' => 'Refunds',

                'datagrid'  => [
                    'billed-to'   => 'Billed To',
                    'id'          => 'ID',
                    'order-id'    => 'Order ID',
                    'refund-date' => 'Refund Date',
                    'refunded'    => 'Refunded',
                    'view'        => 'View',
                ],
            ],

            'view' => [
                'account-information'    => 'Account Information',
                'adjustment-refund'      => 'Adjustment Refund',
                'adjustment-fee'         => 'Adjustment Fee',
                'base-discounted-amount' => 'Discounted Amount - :base_discounted_amount',
                'billing-address'        => 'Billing Address',
                'currency'               => 'Currency',
                'discounted-amount'      => 'Sub Total - :discounted_amount',
                'grand-total'            => 'Grand Total',
                'order-information'      => 'Order Information',
                'order-id'               => 'Order Id',
                'order-status'           => 'Order status',
                'order-date'             => 'Order Date',
                'order-channel'          => 'Order Channel',
                'product-ordered'        => 'Products Ordered',
                'product-image'          => 'Product Image',
                'payment-information'    => 'Payment Information',
                'payment-method'         => 'Payment Method',
                'price'                  => 'Price - :price',
                'qty'                    => 'QTY - :qty',
                'refund'                 => 'Refund',
                'shipping-address'       => 'Shipping Address',
                'sub-total'              => 'Sub Total',
                'shipping-handling'      => 'Shipping & Handling',
                'sku'                    => 'SKU - :sku',
                'shipping-method'        => 'Shipping Method',
                'shipping-price'         => 'Shipping Price',
                'tax-amount'             => 'Tax Amount - :tax_amount',
                'title'                  => 'Refund #:refund_id',
                'tax'                    => 'Tax',
            ],

            'create' => [
                'amount-per-unit'             => ':amount Per Unit x :qty Quantity',
                'adjustment-refund'           => 'Adjustment Refund',
                'adjustment-fee'              => 'Adjustment Fee',
                'create-success'              => 'Refund created successfully',
                'discount-amount'             => 'Discount Amount',
                'grand-total'                 => 'Grand Total',
                'item-ordered'                => 'Ordered (:qty_ordered)',
                'item-invoice'                => 'Invoiced (:qty_invoiced)',
                'item-shipped'                => 'Shipped (:qty_shipped)',
                'item-canceled'               => 'Canceled (:qty_canceled)',
                'item-refunded'               => 'Refunded (:qty_refunded)',
                'invalid-refund-amount-error' => 'Refund amount should be non zero.',
                'invalid-qty'                 => 'We found an invalid quantity to invoice items.',
                'per-unit'                    => 'Per Unit',
                'price'                       => 'Price',
                'qty-to-refund'               => 'Qty To Refund',
                'refund-shipping'             => 'Refund Shipping',
                'refund-limit-error'          => 'Refund Amount :amount can not proceed.',
                'refund-btn'                  => 'Refund',
                'subtotal'                    => 'Subtotal',
                'sku'                         => 'SKU - :sku',
                'title'                       => 'Create Refund',
                'tax-amount'                  => 'Tax Amount',
                'update-quantity-btn'         => 'Update Quantity',
            ],
        ],

        'invoices' => [
            'index' => [
                'title' => 'Invoices',

                'datagrid' => [
                    'action'       => 'Actions',
                    'id'           => 'ID',
                    'invoice-date' => 'Invoice Date',
                    'grand-total'  => 'Grand Total',
                    'order-id'     => 'Order ID',
                    'overdue'      => 'Overdue',
                    'paid'         => 'Paid',
                    'pending'      => 'Pending',
                    'status'       => 'Status',
                ],
            ],

            'view' => [
                'amount-per-unit'        => ':amount Per Unit x :qty Quantity',
                'channel'                => 'Channel',
                'customer'               => 'Customer',
                'discount'               => 'Discount Amount - :discount',
                'customer-email'         => 'Email - :email',
                'email'                  => 'Email',
                'grand-total'            => 'Grand Total',
                'invoice-items'          => 'Invoice Items',
                'invoice-status'         => 'Invoice Status',
                'invoice-sent'           => 'Invoice sent successfully',
                'order-information'      => 'Order Information',
                'order-id'               => 'Order ID',
                'order-date'             => 'Order Date',
                'order-status'           => 'Order Status',
                'price'                  => 'Price - :price',
                'print'                  => 'Print',
                'product-image'          => 'Product Image',
                'qty'                    => 'Quantity - :qty',
                'shipping-and-handling'  => 'Shipping and Handling',
                'send-duplicate-invoice' => 'Send Duplicate Invoice',
                'send'                   => 'Send',
                'send-btn'               => 'Send',
                'sku'                    => 'SKU - :sku',
                'sub-total'              => 'Sub Total - :sub_total',
                'sub-total-summary'      => 'Sub Total',
                'summary-tax'            => 'Tax Amount',
                'summary-discount'       => 'Discount Amount',
                'title'                  => 'Invoice #:invoice_id',
                'tax'                    => 'Tax Amount - :tax',
            ],

            'create'   => [
                'amount-per-unit' => ':amount Per Unit x :qty Quantity',
                'create-invoice'  => 'Create Invoice',
                'creation-error'  => 'Order invoice creation is not allowed.',
                'create-success'  => 'Invoice created successfully',
                'invoice'         => 'Invoice',
                'invalid-qty'     => 'We found an invalid quantity to invoice items.',
                'new-invoice'     => 'New Invoice',
                'product-image'   => 'Product Image',
                'product-error'   => 'Invoice can not be created without products.',
                'qty-to-invoiced' => 'Qty. to invoiced',
                'sku'             => 'SKU - :sku',
            ],

            'invoice-pdf' => [
                'bill-to'           => 'Bill to',
                'bank-details'      => 'Bank Details',
                'contact'           => 'Contact',
                'contact-number'    => 'Contact Number',
                'discount'          => 'Discount',
                'date'              => 'Invoice Date',
                'grand-total'       => 'Grand Total',
                'invoice'           => 'Invoice',
                'invoice-id'        => 'Invoice ID',
                'order-id'          => 'Order ID',
                'order-date'        => 'Order Date',
                'payment-method'    => 'Payment Method',
                'payment-terms'     => 'Payment Terms',
                'product-name'      => 'Product Name',
                'price'             => 'Price',
                'qty'               => 'Quantity',
                'ship-to'           => 'Ship to',
                'shipping-method'   => 'Shipping Method',
                'sku'               => 'SKU',
                'subtotal'          => 'Subtotal',
                'shipping-handling' => 'Shipping Handling',
                'tax-amount'        => 'Tax Amount',
                'tax'               => 'Tax',
                'vat-number'        => 'Vat Number',
            ],
        ],

        'invoice-transaction'  => [
            'id'               => 'ID',
            'transaction-date' => 'Transaction Date',
            'transaction-id'   => 'Transaction ID',
            'view'             => 'View',
        ],

        'transactions' => [
            'index' => [
                'create-btn' => 'Create Transactions',
                'title'      => 'Transactions',

                'datagrid' => [
                    'id'                 => 'ID',
                    'invoice-id'         => 'Invoice ID',
                    'order-id'           => 'Order ID',
                    'status'             => 'Status',
                    'transaction-id'     => 'Transaction ID',
                    'transaction-date'   => 'Date',
                    'transaction-amount' => 'Amount',
                ],

                'edit'  => [
                    'already-paid'               => 'Already paid',
                    'invoice-missing'            => 'Invoice Missing',
                    'transaction-amount-zero'    => 'Transaction Amount zero',
                    'transaction-amount-exceeds' => 'Transaction Amount exceeds',
                    'transaction-saved'          => 'Transaction Saved successfully',
                ],
            ],
        ],
    ],

    'catalog' => [
        'products' => [
            'index' => [
                'already-taken' => 'The :name has already been taken.',
                'create-btn'    => 'Create Product',
                'title'         => 'Products',

                'create' => [
                    'back-btn'                => 'Back',
                    'bundle'                  => 'Bundle',
                    'configurable'            => 'Configurable',
                    'configurable-attributes' => 'Configurable Attributes',
                    'create-btn'              => 'Create Product',
                    'downloadable'            => 'Downloadable',
                    'family'                  => 'Family',
                    'grouped'                 => 'Grouped',
                    'simple'                  => 'Simple',
                    'save-btn'                => 'Save Product',
                    'sku'                     => 'SKU',
                    'title'                   => 'Create New Product',
                    'type'                    => 'Type',
                    'virtual'                 => 'Virtual',
                ],

                'datagrid' => [
                    'attribute-family'       => 'Attribute Family',
                    'attribute-family-value' => 'Attribute Family - :attribute_family',
                    'active'                 => 'Active',
                    'category'               => 'Category',
                    'copy-of'                => ':value',
                    'copy-of-slug'           => ':value',
                    'disable'                => 'Disable',
                    'delete'                 => 'Delete',
                    'image'                  => 'Image',
                    'id'                     => 'Id',
                    'id-value'               => 'Id - :id',
                    'mass-update-success'    => 'Selected Products Updated Successfully',
                    'mass-delete-success'    => 'Selected Products Deleted Successfully',
                    'name'                   => 'Name',
                    'out-of-stock'           => 'Out of Stock',
                    'price'                  => 'Price',
                    'product-image'          => 'Product Image',
                    'qty'                    => 'Quantity',
                    'qty-value'              => ':qty Available',
                    'sku-value'              => 'SKU - :sku',
                    'sku'                    => 'SKU',
                    'status'                 => 'Status',
                    'type'                   => 'Type',
                    'update-status'          => 'Update Status',
                ],
            ],

            'edit' => [
                'remove'   => 'Remove',
                'save-btn' => 'Save Product',
                'title'    => 'Edit Product',

                'price' => [
                    'group' => [
                        'add-group-price'           => 'Add Group Price',
                        'all-groups'                => 'All Groups',
                        'create-btn'                => 'Add New',
                        'discount-group-price-info' => 'For :qty Qty at discount of :price',
                        'edit-btn'                  => 'Edit',
                        'empty-info'                => 'Special pricing for customers belonging to a specific group.',
                        'fixed-group-price-info'    => 'For :qty Qty at fixed price of :price',
                        'title'                     => 'Customer Group Price',

                        'create' => [
                            'all-groups'     => 'All Groups',
                            'create-title'   => 'Create Customer Group Price',
                            'customer-group' => 'Customer Group',
                            'discount'       => 'Discount',
                            'delete-btn'     => 'Delete',
                            'fixed'          => 'Fixed',
                            'price-type'     => 'Price Type',
                            'price'          => 'Price',
                            'qty'            => 'Qty',
                            'save-btn'       => 'Save',
                            'update-title'   => 'Update Customer Group Price',
                        ],
                    ],
                ],

                'inventories' => [
                    'pending-ordered-qty'      => 'Pending Ordered Qty: :qty',
                    'pending-ordered-qty-info' => 'Pending Ordered quantity will be deducted from the respective inventory source after the shipment. In case of cancellation pending quantity will be available for sale.',
                    'title'                    => 'Inventories',
                ],

                'categories' => [
                    'title' => 'Categories',
                ],

                'images' => [
                    'info'  => 'Image resolution should be like 609px X 560px',
                    'title' => 'Images',
                ],

                'videos' => [
                    'info'  => 'Maximum video size should be like :size',
                    'title' => 'Videos',
                ],

                'links' => [
                    'related-products' => [
                        'empty-info' => 'Add related products on the go.',
                        'info'       => 'In addition to the product the customer is viewing, they are presented with related products.',
                        'title'      => 'Related Products',
                    ],

                    'up-sells' => [
                        'empty-info' => 'Add up sells products on the go.',
                        'info'       => 'The customer is presented with an up-sell products, which serves as a premium or higher-quality alternative to the product they are currently viewing.',
                        'title'      => 'Up-Sell Products',
                    ],

                    'cross-sells' => [
                        'empty-info' => 'Add cross sells products on the go.',
                        'info'       => 'Adjacent to the shopping cart, you\'ll find these \"impulse-buy\" products positioned as cross-sells to complement the items already added to your cart.',
                        'title'      => 'Cross-Sell Products',
                    ],

                    'add-btn'           => 'Add Product',
                    'delete'            => 'Delete',
                    'empty-title'       => 'Add Product',
                    'empty-info'        => 'To add :type products on a go.',
                    'image-placeholder' => 'Product Image',
                    'sku'               => 'SKU - :sku',
                ],

                'types' => [
                    'configurable' => [
                        'add-btn'           => 'Add Variant',
                        'delete-btn'        => 'Delete',
                        'edit-btn'          => 'Edit',
                        'empty-title'       => 'Add Variant',
                        'empty-info'        => 'To create various combination of product on a go.',
                        'info'              => 'Variation products are depend on all possible combination of attribute.',
                        'image-placeholder' => 'Product Image',
                        'qty'               => ':qty Qty',
                        'sku'               => 'SKU - :sku',
                        'title'             => 'Variations',

                        'create'  => [
                            'description'            => 'Description',
                            'name'                   => 'Name',
                            'save-btn'               => 'Add',
                            'title'                  => 'Add Variant',
                            'variant-already-exists' => 'This variant already exists',
                        ],

                        'edit' => [
                            'disabled'         => 'Disabled',
                            'edit-info'        => 'If you want to update product information in detail, then go to the',
                            'edit-link-title'  => 'Product Details Page',
                            'enabled'          => 'Enabled',
                            'images'           => 'Images',
                            'name'             => 'Name',
                            'price'            => 'Price',
                            'quantities'       => 'Quantities',
                            'save-btn'         => 'Save',
                            'sku'              => 'SKU',
                            'status'           => 'Status',
                            'title'            => 'Product',
                            'weight'           => 'Weight',
                        ],

                        'mass-edit' => [
                            'add-images'        => 'Add Images',
                            'apply-to-all-sku'  => 'Apply a price to all SKU.',
                            'apply-to-all-btn'  => 'Apply to All',
                            'edit-prices'       => 'Edit Prices',
                            'edit-inventories'  => 'Edit Inventories',
                            'price'             => 'Price',
                            'remove-images'     => 'Remove Images',
                            'remove-variants'   => 'Remove Variants',
                            'select-variants'   => 'Select Variants',
                            'select-action'     => 'Select Action',
                        ],
                    ],

                    'grouped' => [
                        'add-btn'           => 'Add Product',
                        'delete'            => 'Delete',
                        'default-qty'       => 'Default Qty',
                        'empty-title'       => 'Add Product',
                        'empty-info'        => 'To create various combination of product on a go.',
                        'image-placeholder' => 'Product Image',
                        'info'              => 'A grouped product comprises standalone items presented as a set, allowing variations or coordination by season or theme. Each product can be bought individually or as part of the group.',
                        'sku'               => 'SKU - :sku',
                        'title'             => 'Group Products',
                    ],

                    'bundle' => [
                        'add-btn'           => 'Add Option',
                        'empty-title'       => 'Add Option',
                        'empty-info'        => 'To create bundle options on a go.',
                        'image-placeholder' => 'Product Image',
                        'info'              => 'A bundle product is a package of multiple items or services sold together at a special price, providing value and convenience to customers.',
                        'title'             => 'Bundle Items',

                        'update-create' => [
                            'checkbox'    => 'Checkbox',
                            'is-required' => 'Is Required',
                            'multiselect' => 'Multiselect',
                            'name'        => 'Title',
                            'no'          => 'No',
                            'radio'       => 'Radio',
                            'select'      => 'Select',
                            'save-btn'    => 'Save',
                            'title'       => 'Option',
                            'type'        => 'Type',
                            'yes'         => 'Yes',
                        ],

                        'option' => [
                            'add-btn'     => 'Add Product',
                            'delete-btn'  => 'Delete',
                            'default-qty' => 'Default Qty',
                            'delete'      => 'Delete',
                            'edit-btn'    => 'Edit',
                            'empty-title' => 'Add Product',
                            'empty-info'  => 'To create various combination of product on a go.',
                            'sku'         => 'SKU - :sku',

                            'types' => [
                                'checkbox' => [
                                    'info'  => 'Set default product using checkbox',
                                    'title' => 'Checkbox',
                                ],

                                'multiselect' => [
                                    'info'  => 'Set default product using checkbox button',
                                    'title' => 'Multiselect',
                                ],

                                'radio' => [
                                    'info'  => 'Set default product using radio button',
                                    'title' => 'Radio',
                                ],

                                'select' => [
                                    'info'  => 'Set default product using radio button',
                                    'title' => 'Select',
                                ],
                            ],
                        ],
                    ],

                    'downloadable' => [
                        'links' => [
                            'add-btn'     => 'Add Link',
                            'delete-btn'  => 'Delete',
                            'edit-btn'    => 'Edit',
                            'empty-title' => 'Add Link',
                            'empty-info'  => 'To create link on a go.',
                            'file'        => 'File : ',
                            'info'        => 'Downloadable product type allows to sell digital products, such as eBooks, software applications, music, games, etc.',
                            'sample-file' => 'Sample File : ',
                            'sample-url'  => 'Sample URL : ',
                            'title'       => 'Downloadable Links',
                            'url'         => 'URL : ',

                            'update-create' => [
                                'downloads'   => 'Download Allowed',
                                'file-type'   => 'File Type',
                                'file'        => 'File',
                                'name'        => 'Title',
                                'price'       => 'Price',
                                'sample-type' => 'Sample Type',
                                'sample'      => 'Sample',
                                'save-btn'    => 'Save',
                                'title'       => 'Link',
                                'url'         => 'URL',
                            ],
                        ],

                        'samples' => [
                            'add-btn'     => 'Add Sample',
                            'delete-btn'  => 'Delete',
                            'edit-btn'    => 'Edit',
                            'empty-title' => 'Add Sample',
                            'empty-info'  => 'To create sample on a go.',
                            'file'        => 'File : ',
                            'info'        => 'Downloadable product type allows to sell digital products, such as eBooks, software applications, music, games, etc.',
                            'title'       => 'Downloadable Samples',
                            'url'         => 'URL : ',

                            'update-create' => [
                                'file'        => 'File',
                                'file-type'   => 'File Type',
                                'name'        => 'Title',
                                'save-btn'    => 'Save',
                                'title'       => 'Link',
                                'url'         => 'URL',
                            ],
                        ],
                    ],
                ],
            ],

            'create-success'           => 'Product created successfully',
            'delete-success'           => 'Product deleted successfully',
            'delete-failed'            => 'Product deleted Failed',
            'product-copied'           => 'Product copied successfully',
            'saved-inventory-message'  => 'Product saved successfully',
            'update-success'           => 'Product updated successfully',
        ],

        'attributes' => [
            'index' => [
                'title'      => 'Attributes',
                'create-btn' => 'Create Attributes',

                'datagrid' => [
                    'id'                  => 'ID',
                    'name'                => 'Name',
                    'code'                => 'Code',
                    'type'                => 'Type',
                    'required'            => 'Required',
                    'unique'              => 'Unique',
                    'locale-based'        => 'Locale Based',
                    'channel-based'       => 'Channel Based',
                    'created-at'          => 'Created At',
                    'edit'                => 'Edit',
                    'delete'              => 'Delete',
                    'mass-delete-success' => 'Selected Attribute Deleted Successfully',
                ],
            ],

            'create'  => [
                'admin'                 => 'Admin',
                'add-row'               => 'Add Row',
                'add-option'            => 'Add Option',
                'add-attribute-options' => 'Add Attribute Options',
                'add-options-info'      => 'To create various combination of Attribute Option on a go.',
                'admin-name'            => 'Admin Name',
                'boolean'               => 'Boolean',
                'back-btn'              => 'Back',
                'code'                  => 'Attribute Code',
                'checkbox'              => 'Checkbox',
                'color'                 => 'Color',
                'configuration'         => 'Configuration',
                'create-empty-option'   => 'Create default empty option',
                'datetime'              => 'Datetime',
                'date'                  => 'Date',
                'decimal'               => 'Decimal',
                'email'                 => 'Email',
                'enable-wysiwyg'        => 'Enable Wysiwyg Editor',
                'file'                  => 'File',
                'general'               => 'General',
                'is-required'           => 'Is Required',
                'image'                 => 'Image',
                'input-validation'      => 'Input Validation',
                'is-unique'             => 'Is Unique',
                'is-filterable'         => 'Use in Layered Navigation',
                'is-configurable'       => 'Use To Create Configurable Product',
                'is-visible-on-front'   => 'Visible on Product View Page on Front-end',
                'input-options'         => 'Input Options',
                'is-comparable'         => 'Attribute is comparable',
                'label'                 => 'Label',
                'multiselect'           => 'Multiselect',
                'no'                    => 'No',
                'number'                => 'Number',
                'price'                 => 'Price',
                'position'              => 'Position',
                'regex'                 => 'Regex',
                'select'                => 'Select',
                'select-type'           => 'Select Attribute Type',
                'save-btn'              => 'Save Attribute',
                'swatch'                => 'Swatch',
                'title'                 => 'Add Attribute',
                'type'                  => 'Attribute Type',
                'text'                  => 'Text',
                'textarea'              => 'Textarea',
                'url'                   => 'URL',
                'use-in-flat'           => 'Create in Product Flat Table',
                'validations'           => 'Validations',
                'value-per-locale'      => 'Value Per Locale',
                'value-per-channel'     => 'Value Per Channel',
                'yes'                   => 'Yes',
                'default-value'         => 'Default Value',

                'option'                => [
                    'color'    => 'Color Swatch',
                    'dropdown' => 'Dropdown',
                    'image'    => 'Image Swatch',
                    'save-btn' => 'Save Option',
                    'text'     => 'Text Swatch',
                ],
            ],

            'edit'  => [
                'admin'                 => 'Admin',
                'add-row'               => 'Add Row',
                'add-option'            => 'Add Option',
                'add-attribute-options' => 'Add Attribute Options',
                'add-options-info'      => 'To create various combination of Attribute Option on a go.',
                'admin-name'            => 'Admin Name',
                'boolean'               => 'Boolean',
                'back-btn'              => 'Back',
                'code'                  => 'Attribute Code',
                'checkbox'              => 'Checkbox',
                'color'                 => 'Color',
                'configuration'         => 'Configuration',
                'create-empty-option'   => 'Create default empty option',
                'datetime'              => 'Datetime',
                'date'                  => 'Date',
                'decimal'               => 'Decimal',
                'email'                 => 'Email',
                'enable-wysiwyg'        => 'Enable Wysiwyg Editor',
                'file'                  => 'File',
                'general'               => 'General',
                'is-required'           => 'Is Required',
                'input-validation'      => 'Input Validation',
                'image'                 => 'Image',
                'is-unique'             => 'Is Unique',
                'is-filterable'         => 'Use in Layered Navigation',
                'is-configurable'       => 'Use To Create Configurable Product',
                'is-visible-on-front'   => 'Visible on Product View Page on Front-end',
                'input-options'         => 'Input Options',
                'is-comparable'         => 'Attribute is comparable',
                'label'                 => 'Label',
                'multiselect'           => 'Multiselect',
                'no'                    => 'No',
                'number'                => 'Number',
                'price'                 => 'Price',
                'position'              => 'Position',
                'regex'                 => 'Regex',
                'select'                => 'Select',
                'select-type'           => 'Select Attribute Type',
                'save-btn'              => 'Save Attribute',
                'swatch'                => 'Swatch',
                'title'                 => 'Edit Attribute',
                'type'                  => 'Attribute Type',
                'text'                  => 'Text',
                'textarea'              => 'Textarea',
                'url'                   => 'URL',
                'use-in-flat'           => 'Create in Product Flat Table',
                'validations'           => 'Validations',
                'value-per-locale'      => 'Value Per Locale',
                'value-per-channel'     => 'Value Per Channel',
                'yes'                   => 'Yes',
                'default-value'         => 'Default Value',

                'option' => [
                    'color'    => 'Color Swatch',
                    'dropdown' => 'Dropdown',
                    'image'    => 'Image Swatch',
                    'save-btn' => 'Save Option',
                    'text'     => 'Text Swatch',
                ],
            ],

            'create-success'    => 'Attribute Created Successfully',
            'update-success'    => 'Attribute Updated Successfully',
            'user-define-error' => 'Can not delete system Attribute',
            'delete-success'    => 'Attribute Deleted Successfully',
            'delete-failed'     => 'Attribute Deleted Failed',
        ],

        'categories'  => [
            'index' => [
                'title'   => 'Categories',
                'add-btn' => 'Create Category',

                'datagrid' => [
                    'id'             => 'ID',
                    'name'           => 'Name',
                    'position'       => 'Position',
                    'status'         => 'Visible In Menu',
                    'active'         => 'Active',
                    'inactive'       => 'Inactive',
                    'no-of-products' => 'Number of Products',
                    'edit'           => 'Edit',
                    'delete'         => 'Delete',
                    'update-status'  => 'Update Status',
                    'delete-success' => 'Selected :resource were successfully deleted',
                ],
            ],

            'create' => [
                'add-logo'                 => 'Add Logo',
                'add-banner'               => 'Add Banner',
                'banner'                   => 'Banner',
                'banner-size'              => 'Banner aspect ration (1320px X 300px)',
                'back-btn'                 => 'Back',
                'name'                     => 'Name',
                'description'              => 'Description',
                'description-and-images'   => 'Description and Images',
                'description-only'         => 'Description Only',
                'display-mode'             => 'Display Mode',
                'enter-position'           => 'Enter Position',
                'filterable-attributes'    => 'Filterable Attributes',
                'general'                  => 'General',
                'logo'                     => 'Logo',
                'logo-size'                => 'Logo resolution should be (110px X 110px)',
                'meta-description'         => 'Meta Description',
                'meta-keywords'            => 'Meta Keywords',
                'meta-title'               => 'Meta Title',
                'parent-category'          => 'Parent Category',
                'position'                 => 'Position',
                'products-and-description' => 'Products and Description',
                'products-only'            => 'Products Only',
                'save-btn'                 => 'Save Category',
                'slug'                     => 'Slug',
                'settings'                 => 'Settings',
                'seo-details'              => 'SEO Details',
                'select-display-mode'      => 'Select Display Mode',
                'title'                    => 'Add New Category',
                'visible-in-menu'          => 'Visible In Menu',
            ],

            'edit'  => [
                'add-logo'                 => 'Add Logo',
                'add-banner'               => 'Add Banner',
                'banner'                   => 'Banner',
                'banner-size'              => 'Banner aspect ration (1320px X 300px)',
                'back-btn'                 => 'Back',
                'name'                     => 'Name',
                'description'              => 'Description',
                'description-and-images'   => 'Description and Images',
                'description-only'         => 'Description Only',
                'display-mode'             => 'Display Mode',
                'enter-position'           => 'Enter Position',
                'filterable-attributes'    => 'Filterable Attributes',
                'general'                  => 'General',
                'logo'                     => 'Logo',
                'logo-size'                => 'Logo resolution should be (110px X 110px)',
                'meta-description'         => 'Meta Description',
                'meta-keywords'            => 'Meta Keywords',
                'meta-title'               => 'Meta Title',
                'position'                 => 'Position',
                'products-and-description' => 'Products and Description',
                'products-only'            => 'Products Only',
                'save-btn'                 => 'Save Category',
                'slug'                     => 'Slug',
                'settings'                 => 'Settings',
                'seo-details'              => 'SEO Details',
                'select-parent-category'   => 'Select Parent Category',
                'select-display-mode'      => 'Select Display Mode',
                'title'                    => 'Edit Category',
                'visible-in-menu'          => 'Visible In Menu',
            ],

            'create-success'       => 'category created successfully.',
            'category'             => 'Category',
            'update-success'       => 'category updated successfully.',
            'delete-success'       => 'The category has been successfully deleted.',
            'delete-category-root' => 'The Root category can not be deleted.',
            'delete-failed'        => 'Error encountered while deleting category',
        ],

        'families'   => [
            'index' => [
                'title' => 'Families',
                'add'   => 'Create Attribute Family',

                'datagrid' => [
                    'id'             => 'ID',
                    'code'           => 'Code',
                    'name'           => 'Name',
                    'edit'           => 'Edit',
                    'delete'         => 'Delete',
                    'delete-success' => 'Selected :resource were successfully deleted',
                    'partial-action' => 'Some actions were not performed due restricted system constraints on :resource',
                    'update-success' => 'Selected :resource were successfully updated',
                    'no-resource'    => 'The resource provided for insufficient for the action',
                    'method-error'   => 'Error! Wrong method detected, please check mass action configuration',
                ],
            ],

            'create' => [
                'title'                            => 'Create Attribute Family',
                'save-btn'                         => 'Save Attribute Family',
                'back-btn'                         => 'Back',
                'general'                          => 'General',
                'groups'                           => 'Groups',
                'groups-info'                      => 'Manage attribute family groups',
                'delete-group-btn'                 => 'Delete Group',
                'add-group-btn'                    => 'Add Group',
                'edit-group-info'                  => 'Double Click to edit Group',
                'main-column'                      => 'Main Column',
                'right-column'                     => 'Right Side Column',
                'unassigned-attributes'            => 'Unassigned Attributes',
                'unassigned-attributes-info'       => 'Drag these attribute to add into columns or groups.',
                'code'                             => 'Code',
                'name'                             => 'Name',
                'enter-code'                       => 'Enter Code',
                'enter-name'                       => 'Enter Name',
                'column'                           => 'Column',
                'add-group-title'                  => 'Add New Group',
                'group-already-exists'             => 'An attribute group name already exists.',
                'select-group'                     => 'Please select an attribute group.',
                'group-contains-system-attributes' => 'This group contains system attributes. First move system attributes to another group and try again.',
                'removal-not-possible'             => 'You can not remove system attributes from attribute family.',
            ],

            'edit' => [
                'title'                            => 'Edit Attribute Family',
                'save-btn'                         => 'Save Attribute Family',
                'back-btn'                         => 'Back',
                'groups'                           => 'Groups',
                'groups-info'                      => 'Manage attribute family groups',
                'delete-group-btn'                 => 'Delete Group',
                'add-group-btn'                    => 'Add Group',
                'edit-group-info'                  => 'Double Click to edit Group',
                'main-column'                      => 'Main Column',
                'right-column'                     => 'Right Side Column',
                'unassigned-attributes'            => 'Unassigned Attributes',
                'unassigned-attributes-info'       => 'Drag these attribute to add into columns or groups.',
                'general'                          => 'General',
                'code'                             => 'Code',
                'name'                             => 'Name',
                'enter-code'                       => 'Enter Code',
                'enter-name'                       => 'Enter Name',
                'column'                           => 'Column',
                'add-group-title'                  => 'Add New Group',
                'group-already-exists'             => 'An attribute group name already exists.',
                'select-group'                     => 'Please select an attribute group.',
                'group-contains-system-attributes' => 'This group contains system attributes. First move system attributes to another group and try again.',
                'removal-not-possible'             => 'You can not remove system attributes from attribute family.',
            ],

            'family'                  => 'Family',
            'attribute-family'        => 'Attribute Family',
            'create-success'          => 'Family created successfully.',
            'update-success'          => 'Family updated successfully.',
            'delete-success'          => 'Family deleted successfully.',
            'delete-failed'           => 'Error encountered while deleting Family.',
            'user-define-error'       => 'Can not delete system Attribute family',
            'last-delete-error'       => 'At least one family is required.',
            'attribute-product-error' => 'family is used in products.',
        ],
    ],

    'customers' => [
        'customers' => [
            'index'  => [
                'login-message' => 'you logged in as :customer_name',
                'title'         => 'Customers',

                'datagrid'  => [
                    'id'             => 'Customer ID',
                    'order'          => ':order Order(s)',
                    'address'        => ':address  Address(s)',
                    'name'           => 'Customer Name',
                    'email'          => 'Email',
                    'group'          => 'Group',
                    'phone'          => 'Contact Number',
                    'gender'         => 'Gender',
                    'status'         => 'Status',
                    'active'         => 'Active',
                    'inactive'       => 'Inactive',
                    'suspended'      => 'Suspended',
                    'revenue'        => 'Revenue',
                    'address-count'  => 'Address Count',
                    'order-count'    => 'Order Count',
                    'update-status'  => 'Update Status',
                    'delete'         => 'Delete',
                    'delete-success' => 'Selected data successfully deleted',
                    'order-pending'  => 'Customer have pending order',
                    'partial-action' => 'Some actions were not performed due restricted system constraints on :resource',
                    'update-success' => 'Selected Customers successfully updated',
                    'no-resource'    => 'The resource provided for insufficient for the action',
                    'method-error'   => 'Error! Wrong method detected, please check mass action configuration',
                ],

                'create' => [
                    'create-btn'            => 'Create Customer',
                    'contact-number'        => 'Contact Number',
                    'customer-group'        => 'Customer Group',
                    'create-success'        => 'Customer created successfully',
                    'date-of-birth'         => 'Date of Birth',
                    'email'                 => 'Email',
                    'female'                => 'Female',
                    'first-name'            => 'First Name',
                    'gender'                => 'Gender',
                    'last-name'             => 'Last Name',
                    'male'                  => 'Male',
                    'other'                 => 'Other',
                    'save-btn'              => 'Save customer',
                    'select-gender'         => 'Select Gender',
                    'select-customer-group' => 'Select Customer Group',
                    'title'                 => 'Create New Customer',
                ],
            ],

            'delete-success' => 'Customer Deleted Successfully',
            'delete-failed'  => 'Customer Deleted Failed',
            'update-success' => 'Customer Updated Successfully',
            'order-pending'  => 'Orders is Pending',

            'edit' => [
                'contact-number'        => 'Contact Number',
                'customer-group'        => 'Customer Group',
                'date-of-birth'         => 'Date of Birth',
                'email'                 => 'Email',
                'edit-btn'              => 'Edit',
                'female'                => 'Female',
                'first-name'            => 'First Name',
                'gender'                => 'Gender',
                'last-name'             => 'Last Name',
                'male'                  => 'Male',
                'other'                 => 'Other',
                'select-customer-group' => 'Select Customer Group',
                'select-gender'         => 'Select Gender',
                'status'                => 'Status',
                'save-btn'              => 'Save customer',
                'suspended'             => 'Suspended',
                'title'                 => 'Edit Customer',
            ],

            'view' => [
                'address'                     => 'Address',
                'back-btn'                    => 'Back',
                'add-note'                    => 'Add Note',
                'active'                      => 'Active',
                'address-delete-success'      => 'Address Deleted Successfully',
                'customer'                    => 'Customer',
                'customer-notified'           => ':date | Customer <b>Notified</b>',
                'customer-not-notified'       => ':date | Customer <b>Not Notified</b>',
                'delete-account'              => 'Delete Account',
                'delete'                      => 'Delete',
                'date-of-birth'               => 'DOB - :dob',
                'default-address'             => 'Default Address',
                'empty-description'           => 'Create New Addresses for Customer',
                'empty-title'                 => 'Add Customer Address',
                'empty-order'                 => 'No Orders Available',
                'empty-invoice'               => 'No Invoices Available',
                'empty-review'                => 'No Reviews Available',
                'edit'                        => 'Edit',
                'email'                       => 'Email - :email',
                'gender'                      => 'Gender - :gender',
                'group'                       => 'Group - :group_code',
                'inactive'                    => 'Inactive',
                'id'                          => 'ID - :id',
                'increment-id'                => '# :increment_id',
                'invoice-id'                  => 'Invoice ID',
                'invoice-id-prefix'           => '# :invoice_id',
                'invoice-date'                => 'Invoice Date',
                'invoice-amount'              => 'Invoice Amount',
                'invoice'                     => 'Invoices (:invoice_count)',
                'mobile'                      => 'Mobile',
                'notify-customer'             => 'Notify Customer',
                'note'                        => 'Note',
                'note-created-success'        => 'Note Created Successfully',
                'orders'                      => 'Orders (:order_count)',
                'order-id'                    => 'Order ID',
                'order-id-prefix'             => '# :order_id',
                'processing'                  => 'Processing',
                'pending'                     => 'Pending',
                'completed'                   => 'Completed',
                'canceled'                    => 'Canceled',
                'closed'                      => 'Closed',
                'phone'                       => 'Phone - :phone',
                'pay-by'                      => 'Pay By',
                'reviews'                     => 'Reviews',
                'approved'                    => 'Approved',
                'disapproved'                 => 'Disapproved',
                'suspended'                   => 'Suspended',
                'set-default-success'         => 'Default Address Updated Successfully',
                'submit-btn-title'            => 'Submit Note',
                'set-as-default'              => 'Set as Default',
                'total-revenue'               => 'Total Revenue - :revenue',
                'title'                       => 'Customer View',
                'note-placeholder'            => 'Write Your Note here',
                'order-pending'               => 'Cannot delete account because some Order(s) are pending or processing state.',
                'account-delete-confirmation' => 'Are you sure you want to delete this account?',
                'address-delete-confirmation' => 'Are you sure you want to delete this address?',
            ],
        ],

        'groups' => [
            'index' => [
                'title' => 'Groups',

                'create' => [
                    'create-btn' => 'Create Group',
                    'code'       => 'Code',
                    'success'    => 'Group created successfully',
                    'name'       => 'Name',
                    'save-btn'   => 'Save Group',
                    'title'      => 'Create new Group',
                ],

                'edit'  => [
                    'title'          => 'Edit Group',
                    'success'        => 'Group Updated Successfully',
                    'delete-success' => 'Group Deleted Successfully',
                    'delete-failed'  => 'Group Deleted Failed',
                    'group-default'  => 'Default Group Can not be Deleted',
                ],

                'datagrid'  => [
                    'code'   => 'Code',
                    'id'     => 'ID',
                    'name'   => 'Name',
                    'edit'   => 'Edit',
                    'delete' => 'Delete',
                ],
            ],
        ],

        'reviews' => [
            'index' => [
                'description' => 'Description',
                'date'        => 'Date',
                'id'          => 'Id',
                'name'        => 'Name',
                'product'     => 'Product',
                'rating'      => 'Rating',
                'status'      => 'Status',
                'title'       => 'Reviews',

                'edit'  => [
                    'title'          => 'Edit Review',
                    'save-btn'       => 'Save',
                    'customer'       => 'Customer',
                    'product'        => 'Product',
                    'id'             => 'ID',
                    'date'           => 'Date',
                    'status'         => 'Status',
                    'approved'       => 'Approved',
                    'disapproved'    => 'Disapproved',
                    'pending'        => 'Pending',
                    'rating'         => 'Rating',
                    'review-title'   => 'Title',
                    'review-comment' => 'Comment',
                    'images'         => 'Images',
                    'update-success' => 'Update Successfully',
                ],

                'datagrid'   => [
                    'customer-names'      => 'Name',
                    'comment'             => 'Comment',
                    'date'                => 'Date',
                    'id'                  => 'Id',
                    'product'             => 'Product',
                    'rating'              => 'Rating',
                    'status'              => 'Status',
                    'title'               => 'Title',
                    'edit'                => 'Edit',
                    'delete'              => 'Delete',
                    'update-status'       => 'Update Status',
                    'pending'             => 'Pending',
                    'approved'            => 'Approved',
                    'disapproved'         => 'Disapproved',
                    'review-id'           => 'ID - :review_id',
                    'delete-success'      => 'Review Deleted Successfully',
                    'mass-delete-success' => 'Selected Review Deleted Successfully',
                    'mass-delete-error'   => 'Something went wrong',
                    'mass-update-success' => 'Selected Review Updated Successfully',
                ],
            ],
        ],

        'addresses' => [
            'create' => [
                'title'              => 'Create Customer\'s Address',
                'create-address-btn' => 'Add New Address',
                'company-name'       => 'Company Name',
                'vat-id'             => 'Vat ID',
                'address-1'          => 'Address 1',
                'address-2'          => 'Address 2',
                'city'               => 'City',
                'state'              => 'State',
                'select-country'     => 'Select Country',
                'country'            => 'Country',
                'default-address'    => 'Default Address',
                'first-name'         => 'First Name',
                'last-name'          => 'Last Name',
                'phone'              => 'Phone',
                'street-address'     => 'Street Address',
                'post-code'          => 'Post Code',
                'save-btn-title'     => 'Save Address',
            ],

            'edit' => [
                'title'            => 'Address Edit',
                'company-name'     => 'Company Name',
                'vat-id'           => 'Vat ID',
                'address-1'        => 'Address 1',
                'address-2'        => 'Address 2',
                'city'             => 'City',
                'state'            => 'State',
                'select-country'   => 'Select Country',
                'country'          => 'Country',
                'default-address'  => 'Default Address',
                'first-name'       => 'First Name',
                'last-name'        => 'Last Name',
                'phone'            => 'Phone',
                'street-address'   => 'Street Address',
                'post-code'        => 'Post Code',
                'save-btn-title'   => 'Save Address',
            ],

            'create-success'      => 'Address Created Successfully',
            'update-success'      => 'Address Updated Successfully',
            'success-mass-delete' => 'Address Mass Delete Successfully',
        ],
    ],

    'marketing' => [
        'communications' => [
            'templates' => [
                'index' => [
                    'title'      => 'Email Templates',
                    'create-btn' => 'Create Template',

                    'datagrid' => [
                        'id'       => 'ID',
                        'name'     => 'Name',
                        'status'   => 'Status',
                        'active'   => 'Active',
                        'inactive' => 'Inactive',
                        'draft'    => 'Draft',
                    ],
                ],

                'create' => [
                    'title'          => 'Create Template',
                    'active'         => 'Active',
                    'content'        => 'Content',
                    'back-btn'       => 'Back',
                    'draft'          => 'Draft',
                    'general'        => 'General',
                    'inactive'       => 'Inactive',
                    'name'           => 'Name',
                    'save-btn'       => 'Save Template',
                    'status'         => 'Status',
                    'select-status'  => 'Select Status',
                    'create-success' => 'Email template created successfully.',
                ],

                'edit' => [
                    'title'          => 'Edit Template',
                    'active'         => 'Active',
                    'content'        => 'Content',
                    'back-btn'       => 'Back',
                    'draft'          => 'Draft',
                    'general'        => 'General',
                    'inactive'       => 'Inactive',
                    'name'           => 'Name',
                    'save-btn'       => 'Save Template',
                    'status'         => 'Status',
                    'update-success' => 'Updated successfully',
                ],

                'email-template' => 'Email Template',
                'delete-success' => 'Template Deleted successfully',
                'delete-failed'  => ':name Deleted Failed',
            ],

            'campaigns' => [
                'index' => [
                    'title'       => 'Campaigns',
                    'create-btn'  => 'Create Campaign',

                    'datagrid' => [
                        'id'       => 'ID',
                        'name'     => 'Name',
                        'subject'  => 'Subject',
                        'status'   => 'Status',
                        'active'   => 'Active',
                        'inactive' => 'Inactive',
                        'edit'     => 'Edit',
                        'delete'   => 'Delete',
                    ],
                ],

                'create'    => [
                    'active'          => 'Active',
                    'back-btn'        => 'Back',
                    'customer-group'  => 'Customer Group',
                    'channel'         => 'Channel',
                    'email-template'  => 'Email Template',
                    'event'           => 'Event',
                    'general'         => 'General',
                    'inactive'        => 'Inactive',
                    'name'            => 'Name',
                    'save-btn'        => 'Save Campaign',
                    'setting'         => 'Setting',
                    'status'          => 'Status',
                    'select-template' => 'Select Template',
                    'select-event'    => 'Select Event',
                    'select-status'   => 'Select Status',
                    'select-channel'  => 'Select Channel',
                    'select-group'    => 'Select Group',
                    'subject'         => 'Subject',
                    'title'           => 'Create Campaign',
                ],

                'edit'    => [
                    'active'          => 'Active',
                    'audience'        => 'Audience',
                    'back-btn'        => 'Back',
                    'customer-group'  => 'Customer Group',
                    'channel'         => 'Channel',
                    'email-template'  => 'Email Template',
                    'event'           => 'Event',
                    'general'         => 'General',
                    'inactive'        => 'Inactive',
                    'name'            => 'Name',
                    'save-btn'        => 'Save Campaign',
                    'status'          => 'Status',
                    'select-template' => 'Select Template',
                    'select-event'    => 'Select Event',
                    'select-status'   => 'Select Status',
                    'subject'         => 'Subject',
                    'title'           => 'Edit Campaign',
                ],

                'email-campaign' => 'Email Campaign',
                'create-success' => 'Campaign created successfully.',
                'update-success' => 'Campaign updated successfully.',
                'delete-success' => 'Campaign deleted successfully',
                'delete-failed'  => ':name Delete failed',
            ],

            'events' => [
                'index'  => [
                    'create-btn' => 'Create Event',
                    'title'      => 'Events',
                    'event'      => 'Event',

                    'datagrid' => [
                        'id'      => 'ID',
                        'name'    => 'Name',
                        'date'    => 'Date',
                        'edit'    => 'Edit',
                        'delete'  => 'Delete',
                        'actions' => 'Actions',
                    ],

                    'create'   => [
                        'description'    => 'Description',
                        'date'           => 'Date',
                        'delete-warning' => 'Are you sure, you want to perform this action?',
                        'general'        => 'General',
                        'name'           => 'Name',
                        'save-btn'       => 'Save Event',
                        'title'          => 'Create Events',
                        'success'        => 'Events Created Successfully',
                    ],

                    'edit'  => [
                        'title'   => 'Edit Events',
                        'success' => 'Events Updated Successfully',
                    ],
                ],

                'edit-error'     => 'Event can not be Edit',
                'delete-failed'  => ':name Delete Failed',
                'delete-success' => 'Events Deleted Successfully',
            ],

            'subscribers' => [
                'index' => [
                    'title' => 'Newsletter Subscriptions',

                    'datagrid' => [
                        'id'         => 'ID',
                        'subscribed' => 'Subscribed',
                        'true'       => 'True',
                        'false'      => 'False',
                        'edit'       => 'Edit',
                        'delete'     => 'Delete',
                        'email'      => 'Email',
                        'actions'    => 'Actions',
                    ],

                    'edit'  => [
                        'title'         => 'Edit Newsletter Subscriber',
                        'back-btn'      => 'Back',
                        'save-btn'      => 'Save Subscriber',
                        'email'         => 'Email',
                        'subscribed'    => 'Subscribed',
                        'true'          => 'True',
                        'false'         => 'False',
                        'success'       => 'Newsletter Subscription Updated Successfully',
                        'update-failed' => 'Newsletter Subscription Not Updated',
                    ],
                ],

                'delete-warning' => 'Are you sure, you want to perform this action?',
                'delete-success' => 'Subscriber Deleted Successfully',
                'delete-failed'  => 'Subscriber Deleted Failure',
            ],
        ],

        'promotions' => [
            'index' => [
                'catalog-rule-title' => 'Catalog Rules',
                'cart-rule-title'    => 'Cart Rules',
            ],

            'cart-rules' => [
                'index' => [
                    'title'      => 'Cart Rules',
                    'create-btn' => 'Create Cart Rule',

                    'datagrid' => [
                        'id'          => 'ID',
                        'name'        => 'Name',
                        'coupon-code' => 'Coupon Code',
                        'copy-of'     => ':value',
                        'copy'        => 'Copy',
                        'start'       => 'Start',
                        'end'         => 'End',
                        'status'      => 'Status',
                        'active'      => 'Active',
                        'inactive'    => 'Inactive',
                        'draft'       => 'Draft',
                        'priority'    => 'Priority',
                        'edit'        => 'Edit',
                        'delete'      => 'Delete',
                    ],
                ],

                'create' => [
                    'back-btn'                                  => 'Back',
                    'title'                                     => 'Create Cart Rule',
                    'save-btn'                                  => 'Save Cart Rule',
                    'general'                                   => 'General',
                    'name'                                      => 'Name',
                    'description'                               => 'Description',
                    'customer-groups'                           => 'Customer Groups',
                    'channels'                                  => 'Channels',
                    'coupon-type'                               => 'Coupon Type',
                    'no-coupon'                                 => 'No Coupon',
                    'specific-coupon'                           => 'Specific Coupon',
                    'auto-generate-coupon'                      => 'Auto Generate Coupon',
                    'no'                                        => 'No',
                    'yes'                                       => 'Yes',
                    'coupon-code'                               => 'Coupon Code',
                    'uses-per-coupon'                           => 'Uses Per Coupon',
                    'uses-per-customer'                         => 'Uses Per Customer',
                    'uses-per-customer-control-info'            => 'Will be used for logged in customers only.',
                    'conditions'                                => 'Conditions',
                    'condition-type'                            => 'Condition Type',
                    'all-conditions-true'                       => 'All Conditions Are True',
                    'any-conditions-true'                       => 'Any Conditions Are True',
                    'add-condition'                             => 'Add Condition',
                    'actions'                                   => 'Actions',
                    'action-type'                               => 'Action Type',
                    'percentage-product-price'                  => 'Percentage Product Price',
                    'fixed-amount'                              => 'Fixed Amount',
                    'fixed-amount-whole-cart'                   => 'Fixed Amount Whole Cart',
                    'buy-x-get-y-free'                          => 'Buy X Get Y Free',
                    'discount-amount'                           => 'Discount Amount',
                    'maximum-quantity-allowed-to-be-discounted' => 'Maximum Quantity allowed to be discounted',
                    'buy-x-quantity'                            => 'Buy X Quantity',
                    'apply-to-shipping'                         => 'Apply to Shipping',
                    'free-shipping'                             => 'Free Shipping',
                    'end-of-other-rules'                        => 'End Of Other Rules',
                    'settings'                                  => 'Settings',
                    'status'                                    => 'Status',
                    'priority'                                  => 'Priority',
                    'marketing-time'                            => 'Marketing Time',
                    'from'                                      => 'From',
                    'to'                                        => 'To',
                    'is-equal-to'                               => 'Is equal to',
                    'is-not-equal-to'                           => 'Is not equal to',
                    'equals-or-greater-than'                    => 'Equals or greater than',
                    'equals-or-less-than'                       => 'Equals or less than',
                    'greater-than'                              => 'Greater than',
                    'less-than'                                 => 'Less than',
                    'contain'                                   => 'Contain',
                    'contains'                                  => 'Contains',
                    'does-not-contain'                          => 'Does not contain',
                    'cart-attribute'                            => 'Cart attribute',
                    'subtotal'                                  => 'Subtotal',
                    'payment-method'                            => 'Payment method',
                    'total-items-qty'                           => 'Total items-qty',
                    'shipping-method'                           => 'Shipping method',
                    'shipping-postcode'                         => 'Shipping postcode',
                    'shipping-state'                            => 'Shipping state',
                    'shipping-country'                          => 'Shipping country',
                    'cart-item-attribute'                       => 'Cart item attribute',
                    'price-in-cart'                             => 'Price in cart',
                    'qty-in-cart'                               => 'Quantity in cart',
                    'total-weight'                              => 'Total Weight',
                    'additional'                                => 'Additional',
                    'product-attribute'                         => 'Product attribute',
                    'categories'                                => 'Categories',
                    'children-categories'                       => 'Categories(Children Only)',
                    'parent-categories'                         => 'Categories(Parent Only)',
                    'attribute-family'                          => 'Attribute Family',
                    'attribute-name-children-only'              => 'Attribute name Children Only',
                    'attribute-name-parent-only'                => 'Attribute name Parent Only',
                    'create-success'                            => 'Cart rule created successfully',
                    'choose-condition-to-add'                   => 'Choose condition to add',
                ],

                'edit' => [
                    'back-btn'                                  => 'Back',
                    'title'                                     => 'Edit Cart Rule',
                    'save-btn'                                  => 'Save Cart Rule',
                    'general'                                   => 'General',
                    'name'                                      => 'Name',
                    'description'                               => 'Description',
                    'customer-groups'                           => 'Customer Groups',
                    'channels'                                  => 'Channels',
                    'coupon-type'                               => 'Coupon Type',
                    'no-coupon'                                 => 'No Coupon',
                    'specific-coupon'                           => 'Specific Coupon',
                    'auto-generate-coupon'                      => 'Auto Generate Coupon',
                    'no'                                        => 'No',
                    'yes'                                       => 'Yes',
                    'coupon-code'                               => 'Coupon Code',
                    'uses-per-coupon'                           => 'Uses Per Coupon',
                    'uses-per-customer'                         => 'Uses Per Customer',
                    'uses-per-customer-control-info'            => 'Will be used for logged in customers only.',
                    'conditions'                                => 'Conditions',
                    'condition-type'                            => 'Condition Type',
                    'all-conditions-true'                       => 'All Conditions Are True',
                    'any-conditions-true'                       => 'Any Conditions Are True',
                    'add-condition'                             => 'Add Condition',
                    'actions'                                   => 'Actions',
                    'action-type'                               => 'Action Type',
                    'percentage-product-price'                  => 'Percentage Product Price',
                    'fixed-amount'                              => 'Fixed Amount',
                    'fixed-amount-whole-cart'                   => 'Fixed Amount Whole Cart',
                    'buy-x-get-y-free'                          => 'Buy X Get Y Free',
                    'discount-amount'                           => 'Discount Amount',
                    'maximum-quantity-allowed-to-be-discounted' => 'Maximum Quantity allowed to be discounted',
                    'buy-x-quantity'                            => 'Buy X Quantity',
                    'apply-to-shipping'                         => 'Apply to Shipping',
                    'free-shipping'                             => 'Free Shipping',
                    'end-of-other-rules'                        => 'End Of Other Rules',
                    'settings'                                  => 'Settings',
                    'status'                                    => 'Status',
                    'priority'                                  => 'Priority',
                    'marketing-time'                            => 'Marketing Time',
                    'from'                                      => 'From',
                    'to'                                        => 'To',
                    'is-equal-to'                               => 'Is equal to',
                    'is-not-equal-to'                           => 'Is not equal to',
                    'equals-or-greater-than'                    => 'Equals or greater than',
                    'equals-or-less-than'                       => 'Equals or less than',
                    'greater-than'                              => 'Greater than',
                    'less-than'                                 => 'Less than',
                    'contain'                                   => 'Contain',
                    'contains'                                  => 'Contains',
                    'does-not-contain'                          => 'Does not contain',
                    'cart-attribute'                            => 'Cart attribute',
                    'subtotal'                                  => 'Subtotal',
                    'payment-method'                            => 'Payment method',
                    'total-items-qty'                           => 'Total items-qty',
                    'shipping-method'                           => 'Shipping method',
                    'shipping-postcode'                         => 'Shipping postcode',
                    'shipping-state'                            => 'Shipping state',
                    'shipping-country'                          => 'Shipping country',
                    'cart-item-attribute'                       => 'Cart item attribute',
                    'price-in-cart'                             => 'Price in cart',
                    'qty-in-cart'                               => 'Quantity in cart',
                    'total-weight'                              => 'Total Weight',
                    'additional'                                => 'Additional',
                    'product-attribute'                         => 'Product attribute',
                    'categories'                                => 'Categories',
                    'children-categories'                       => 'Children Categories',
                    'parent-categories'                         => 'Parent Categories',
                    'attribute-family'                          => 'Attribute Family',
                    'attribute-name-children-only'              => 'Attribute name children only',
                    'attribute-name-parent-only'                => 'Attribute name parent only',
                    'update-success'                            => 'Cart rule updated successfully',
                    'choose-condition-to-add'                   => 'Choose condition to add',
                    'coupon-qty'                                => 'Coupon Quantity',
                    'coupon-length'                             => 'Coupon Length',
                    'code-format'                               => 'Code Format',
                    'alphanumeric'                              => 'Alphanumeric',
                    'alphabetical'                              => 'Alphabetical',
                    'numeric'                                   => 'Numeric',
                    'code-suffix'                               => 'Code Suffix',
                    'code-prefix'                               => 'Code Prefix',
                    'generate'                                  => 'Generate',
                    'customer-group'                            => 'Customer Group',
                ],

                'delete-success' => 'Cart Rule Deleted Successfully',
                'delete-failed'  => 'Cart Rule Deleted Failed',
            ],

            'catalog-rules' => [
                'index' => [
                    'title'      => 'Catalog Rules',
                    'create-btn' => 'Create Catalog Rule',

                    'datagrid' => [
                        'id'       => 'ID',
                        'name'     => 'Name',
                        'start'    => 'Start',
                        'end'      => 'End',
                        'status'   => 'Status',
                        'active'   => 'Active',
                        'inactive' => 'Inactive',
                        'priority' => 'Priority',
                        'edit'     => 'Edit',
                        'delete'   => 'Delete',
                    ],
                ],

                'create' => [
                    'back-btn'                 => 'Back',
                    'title'                    => 'Create Catalog Rule',
                    'save-btn'                 => 'Save Catalog Rule',
                    'general'                  => 'General',
                    'name'                     => 'Name',
                    'description'              => 'Description',
                    'channels'                 => 'Channels',
                    'customer-groups'          => 'Customer Groups',
                    'conditions'               => 'Conditions',
                    'condition-type'           => 'Condition Type',
                    'all-conditions-true'      => 'All Conditions are true',
                    'any-conditions-true'      => 'Any Conditions are true',
                    'add-condition'            => 'Add Condition',
                    'actions'                  => 'Actions',
                    'percentage-product-price' => 'Percentage of Product Price',
                    'fixed-amount'             => 'Fixed Amount',
                    'discount-amount'          => 'Discount Amount',
                    'end-other-rules'          => 'End other rules',
                    'yes'                      => 'Yes',
                    'no'                       => 'No',
                    'settings'                 => 'Settings',
                    'status'                   => 'Status',
                    'priority'                 => 'Priority',
                    'marketing-time'           => 'Marketing Time',
                    'from'                     => 'From',
                    'to'                       => 'To',
                    'choose-condition-to-add'  => 'Choose Condition To Add',
                    'is-equal-to'              => 'Is equal to',
                    'is-not-equal-to'          => 'Is not equal to',
                    'equals-or-greater-than'   => 'Equals or greater than',
                    'equals-or-less-than'      => 'Equals or less than',
                    'greater-than'             => 'Greater than',
                    'less-than'                => 'Less than',
                    'contain'                  => 'Contain',
                    'contains'                 => 'Contains',
                    'does-not-contain'         => 'Does not contain',
                    'categories'               => 'Categories',
                    'attribute-family'         => 'Attribute Family',
                    'product-attribute'        => 'Product attribute',
                    'action-type'              => 'Action Type',
                ],

                'edit' => [
                    'back-btn'                 => 'Back',
                    'title'                    => 'Edit Catalog Rule',
                    'save-btn'                 => 'Save Catalog Rule',
                    'general'                  => 'General',
                    'name'                     => 'Name',
                    'description'              => 'Description',
                    'channels'                 => 'Channels',
                    'customer-groups'          => 'Customer Groups',
                    'conditions'               => 'Conditions',
                    'condition-type'           => 'Condition Type',
                    'all-conditions-true'      => 'All Conditions are true',
                    'any-conditions-true'      => 'Any Conditions are true',
                    'add-condition'            => 'Add Condition',
                    'actions'                  => 'Actions',
                    'percentage-product-price' => 'Percentage of Product Price',
                    'fixed-amount'             => 'Fixed Amount',
                    'discount-amount'          => 'Discount Amount',
                    'end-other-rules'          => 'End other rules',
                    'yes'                      => 'Yes',
                    'no'                       => 'No',
                    'settings'                 => 'Settings',
                    'status'                   => 'Status',
                    'priority'                 => 'Priority',
                    'marketing-time'           => 'Marketing Time',
                    'from'                     => 'From',
                    'to'                       => 'To',
                    'choose-condition-to-add'  => 'Choose Condition To Add',
                    'is-equal-to'              => 'Is equal to',
                    'is-not-equal-to'          => 'Is not equal to',
                    'equals-or-greater-than'   => 'Equals or greater than',
                    'equals-or-less-than'      => 'Equals or less than',
                    'greater-than'             => 'Greater than',
                    'less-than'                => 'Less than',
                    'contain'                  => 'Contain',
                    'contains'                 => 'Contains',
                    'does-not-contain'         => 'Does not contain',
                    'categories'               => 'Categories',
                    'product-attribute'        => 'Product attribute',
                    'action-type'              => 'Action Type',
                ],

                'create-success' => 'Catalog rule created successfully',
                'delete-success' => 'Catalog rule deleted successfully',
                'update-success' => 'Catalog rule updated successfully',
            ],

            'cart-rules-coupons' => [
                'cart-rule-not-defined-error' => 'Cart rule can not be deleted',
                'delete-success'              => 'Cart Rule Coupon Deleted Successfully',
                'mass-delete-success'         => 'Selected items Delete Successfully',
                'success'                     => ':name Successfully Created',

                'datagrid' => [
                    'coupon-code'     => 'Coupon Code',
                    'created-date'    => 'Created Date',
                    'expiration-date' => 'Expiration Date',
                    'delete'          => 'Delete',
                    'id'              => 'ID',
                    'times-used'      => 'Times Used',
                ],
            ],
        ],

        'sitemaps' => [
            'index' => [
                'title'      => 'Sitemaps',
                'create-btn' => 'Create Sitemap',
                'sitemap'    => 'Sitemap',

                'datagrid' => [
                    'id'              => 'ID',
                    'file-name'       => 'File Name',
                    'path'            => 'Path',
                    'link-for-google' => 'Link for Google',
                    'edit'            => 'Edit',
                    'delete'          => 'Delete',
                    'actions'         => 'Actions',
                ],

                'create'  => [
                    'file-name'      => 'File Name',
                    'file-name-info' => 'Example: sitemap.xml',
                    'path'           => 'Path',
                    'path-info'      => 'Example: "/sitemap/" or "/" for base path',
                    'save-btn'       => 'Save Sitemap',
                    'title'          => 'Create Sitemap',
                    'success'        => 'Sitemap created successfully',
                    'delete-warning' => 'Are you sure, you want to perform this action?',
                ],

                'edit'  => [
                    'title'          => 'Edit Sitemap',
                    'success'        => 'Sitemap Updated successfully',
                    'delete-success' => 'Sitemap Deleted successfully',
                ],
            ],

            'edit'  => [
                'back-btn'       => 'Back',
                'file-name'      => 'File Name',
                'file-name-info' => 'Example: sitemap.xml',
                'general'        => 'General',
                'path'           => 'Path',
                'path-info'      => 'Example: "/sitemap/" or "/" for base path',
                'save-btn'       => 'Save Sitemap',
            ],

            'delete-failed'  => ':name Deleted Failed',
        ],
    ],

    'cms' => [
        'index' => [
            'title'             => 'Pages',
            'create-btn'        => 'Create Page',
            'already-taken'     => 'The :name has already been taken.',

            'datagrid' => [
                'id'                  => 'ID',
                'page-title'          => 'Page Title',
                'url-key'             => 'URL Key',
                'view'                => 'View',
                'edit'                => 'Edit',
                'delete'              => 'Delete',
                'mass-delete-success' => 'Selected Data Deleted Successfully',
            ],
        ],

        'create' => [
            'title'            => 'Create Page',
            'save-btn'         => 'Save Page',
            'general'          => 'General',
            'page-title'       => 'Title',
            'channels'         => 'Channels',
            'content'          => 'Content',
            'meta-keywords'    => 'Meta Keywords',
            'meta-description' => 'Meta Description',
            'meta-title'       => 'Meta Title',
            'seo'              => 'SEO',
            'url-key'          => 'URL Key',
            'description'      => 'Description',
        ],

        'edit' => [
            'title'            => 'Edit Page',
            'preview-btn'      => 'Preview Page',
            'save-btn'         => 'Save Page',
            'general'          => 'General',
            'page-title'       => 'Page Title',
            'back-btn'         => 'Back',
            'channels'         => 'Channels',
            'content'          => 'Content',
            'seo'              => 'SEO',
            'meta-keywords'    => 'Meta Keywords',
            'meta-description' => 'Meta Description',
            'meta-title'       => 'Meta Title',
            'url-key'          => 'URL Key',
            'description'      => 'Description',
        ],

        'create-success' => 'CMS created successfully.',
        'delete-success' => 'CMS deleted successfully.',
        'update-success' => 'CMS updated successfully.',
        'no-resource'    => 'Resource not exists.',
    ],

    'settings' => [
        'locales' => [
            'index' => [
                'title'      => 'Locales',
                'locale'     => 'Locale',
                'create-btn' => 'Create Locale',
                'logo-size'  => 'Image resolution should be like 24px X 16px',

                'datagrid' => [
                    'actions'   => 'Actions',
                    'id'        => 'ID',
                    'name'      => 'Name',
                    'code'      => 'Code',
                    'direction' => 'Direction',
                    'ltr'       => 'LTR',
                    'rtl'       => 'RTL',
                    'edit'      => 'Edit',
                    'delete'    => 'Delete',
                ],

                'create' => [
                    'code'             => 'Code',
                    'name'             => 'Name',
                    'direction'        => 'Direction',
                    'locale-logo'      => 'Locale Logo',
                    'title'            => 'Create Locale',
                    'save-btn'         => 'Save Locale',
                    'select-direction' => 'Select Direction',
                ],

                'edit' => [
                    'title' => 'Edit Locales',
                ],

                'create-success'    => 'Locale created successfully.',
                'update-success'    => 'Locale updated successfully.',
                'delete-success'    => 'Locale deleted successfully.',
                'last-delete-error' => 'At least one Locale is required.',
                'delete-warning'    => 'Are you sure, you want to perform this action?',
                'delete-failed'     => 'Locale deletion failed',
            ],
        ],

        'currencies' => [
            'index' => [
                'title'      => 'Currencies',
                'create-btn' => 'Create Currency',
                'currency'   => 'Currency',

                'datagrid' => [
                    'id'             => 'ID',
                    'name'           => 'Name',
                    'code'           => 'Code',
                    'edit'           => 'Edit',
                    'delete'         => 'Delete',
                    'actions'        => 'Actions',
                    'partial-action' => 'Some actions were not performed due restricted system constraints on :resource',
                    'update-success' => 'Selected :resource were successfully updated',
                    'no-resource'    => 'The resource provided for insufficient for the action',
                    'method-error'   => 'Error! Wrong method detected, please check mass action configuration',
                ],

                'create' => [
                    'create-btn'     => 'Create Currency',
                    'code'           => 'Code',
                    'decimal'        => 'Decimal',
                    'delete-warning' => 'Are you sure, you want to perform this action?',
                    'general'        => 'General',
                    'name'           => 'Name',
                    'save-btn'       => 'Save Currency',
                    'symbol'         => 'Symbol',
                    'title'          => 'Create New Currency',
                ],

                'edit' => [
                    'title' => 'Edit Currency',
                ],

                'create-success'    => 'Currency created successfully.',
                'delete-success'    => 'Currency deleted successfully.',
                'delete-failed'     => 'Currency Deleted Failed',
                'last-delete-error' => 'At least one Currency is required.',
                'update-success'    => 'Currency updated successfully.',
            ],
        ],

        'exchange-rates' => [
            'index' => [
                'title'         => 'Exchange Rates',
                'create-btn'    => 'Create Exchange Rate',
                'exchange-rate' => 'Exchange Rate',
                'update-rates'  => 'Update Exchange Rate',

                'create' => [
                    'delete-warning'         => 'Are you sure, you want to perform this action?',
                    'title'                  => 'Create Exchange Rate',
                    'rate'                   => 'Rate',
                    'save-btn'               => 'Save Exchange Rate',
                    'source-currency'        => 'Source Currency',
                    'select-target-currency' => 'Select Target Currency',
                    'target-currency'        => 'Target Currency',
                ],

                'edit' => [
                    'title' => 'Edit Exchange Rates',
                ],

                'datagrid' => [
                    'id'            => 'ID',
                    'currency-name' => 'Currency Name',
                    'exchange-rate' => 'Exchange Rate',
                    'edit'          => 'Edit',
                    'delete'        => 'Delete',
                    'actions'       => 'Actions',
                ],

                'create-success'  => 'Exchange Rate Created Successfully',
                'update-success'  => 'Exchange Rate Updated Successfully',
                'delete-success'  => 'Exchange Rate Deleted Successfully',
                'delete-error'    => 'Exchange Rate Deleted Error',
            ],
        ],

        'inventory-sources' => [
            'index'  => [
                'title'      => 'Inventory Sources',
                'create-btn' => 'Create Inventory Sources',

                'datagrid' => [
                    'id'       => 'ID',
                    'code'     => 'Code',
                    'name'     => 'Name',
                    'priority' => 'Priority',
                    'status'   => 'Status',
                    'active'   => 'Active',
                    'inactive' => 'Inactive',
                    'edit'     => 'Edit',
                    'delete'   => 'Delete',
                ],
            ],

            'create' => [
                'add-title'      => 'Add Inventory Source',
                'title'          => 'Inventory Sources',
                'general'        => 'General',
                'save-btn'       => 'Save Inventory Sources',
                'code'           => 'Code',
                'back-btn'       => 'Back',
                'name'           => 'Name',
                'description'    => 'Description',
                'latitude'       => 'Latitude',
                'longitude'      => 'Longitude',
                'priority'       => 'Priority',
                'status'         => 'Status',
                'contact-info'   => 'Contact Information',
                'contact-name'   => 'Name',
                'contact-email'  => 'Email',
                'contact-number' => 'Contact Number',
                'contact-fax'    => 'Fax',
                'address'        => 'Source Address',
                'country'        => 'Country',
                'select-country' => 'Select Country',
                'state'          => 'State',
                'select-state'   => 'Select State',
                'city'           => 'City',
                'street'         => 'Street',
                'postcode'       => 'Postcode',
                'settings'       => 'Settings',
            ],

            'edit' => [
                'title'          => 'Edit Inventory Sources',
                'general'        => 'General',
                'save-btn'       => 'Save Inventory Sources',
                'back-btn'       => 'Back',
                'code'           => 'Code',
                'name'           => 'Name',
                'description'    => 'Description',
                'latitude'       => 'Latitude',
                'longitude'      => 'Longitude',
                'priority'       => 'Priority',
                'status'         => 'Status',
                'contact-info'   => 'Contact Information',
                'contact-name'   => 'Name',
                'contact-email'  => 'Email',
                'contact-number' => 'Contact Number',
                'contact-fax'    => 'Fax',
                'source-address' => 'Source Address',
                'country'        => 'Country',
                'select-country' => 'Select Country',
                'state'          => 'State',
                'select-state'   => 'Select State',
                'city'           => 'City',
                'street'         => 'Street',
                'postcode'       => 'Postcode',
                'settings'       => 'Settings',
            ],

            'create-success'    => 'Inventory Source Created Successfully',
            'delete-success'    => 'Inventory Sources Deleted Successfully',
            'delete-failed'     => 'Inventory Sources Delete Failed',
            'last-delete-error' => 'Last Inventory Sources Can Not Deleted',
            'update-success'    => 'Inventory Sources Updated Successfully',
        ],

        'taxes' => [
            'categories' => [
                'index' => [
                    'title'          => 'Tax Categories',
                    'tax-category'   => 'Tax Category',
                    'delete-warning' => 'Are You sure you want to delete ?',

                    'datagrid' => [
                        'id'      => 'ID',
                        'name'    => 'Name',
                        'code'    => 'Code',
                        'edit'    => 'Edit',
                        'delete'  => 'Delete',
                        'actions' => 'Actions',
                    ],

                    'create' => [
                        'title'         => 'Create Tax Category',
                        'code'          => 'Code',
                        'description'   => 'Description',
                        'general'       => 'Tax Category',
                        'name'          => 'Name',
                        'save-btn'      => 'Save Tax Category',
                        'tax-rates'     => 'Tax Rates',
                        'select'        => 'Select',
                        'add-tax-rates' => 'Add Tax Rates',
                        'empty-text'    => 'Tax Rates are not available please create new Tax Rates.',
                    ],

                    'edit'  => [
                        'title'   => 'Edit Tax Categories',
                    ],

                    'create-success'  => 'New Tax Category Created',
                    'update-success'  => 'Tax Category Successfully Updated',
                    'delete-success'  => 'Tax Category Deleted Successfully',
                    'delete-failed'   => 'Tax Category Deleted Failed',
                ],
            ],

            'rates'   => [
                'index' => [
                    'title'        => 'Tax Rates',
                    'tax-rate'     => 'Tax Rate',
                    'button-title' => 'Create Tax Rates',

                    'datagrid' => [
                        'id'         => 'ID',
                        'identifier' => 'Identifier',
                        'state'      => 'State',
                        'country'    => 'Country',
                        'zip-code'   => 'Zip Code',
                        'zip-from'   => 'Zip From',
                        'zip-to'     => 'Zip To',
                        'tax-rate'   => 'Tax Rate',
                        'edit'       => 'Edit',
                        'delete'     => 'Delete',
                    ],
                ],

                'create'  => [
                    'country'        => 'Country',
                    'back-btn'       => 'Back',
                    'general'        => 'General',
                    'is-zip'         => 'Enable Zip Range',
                    'identifier'     => 'Identifier',
                    'select-country' => 'Select Country',
                    'select-state'   => 'Select State',
                    'save-btn'       => 'Save Tax Rate',
                    'settings'       => 'Settings',
                    'state'          => 'State',
                    'title'          => 'Create Tax Rate',
                    'tax-rate'       => 'Rate',
                    'zip-code'       => 'Zip Code',
                    'zip-from'       => 'Zip From',
                    'zip-to'         => 'Zip To',
                ],

                'edit'  => [
                    'basic-settings' => 'Basic Settings',
                    'country'        => 'Country',
                    'back-btn'       => 'Back',
                    'identifier'     => 'Identifier',
                    'select-country' => 'Select Country',
                    'select-state'   => 'Select State',
                    'save-btn'       => 'Save Tax Rate',
                    'state'          => 'State',
                    'title'          => 'Edit Tax Rate',
                    'tax-rate'       => 'Rate',
                    'zip-code'       => 'Zip Code',
                    'zip-from'       => 'Zip From',
                    'zip-to'         => 'Zip To',
                ],

                'create-success' => 'Tax rate created successfully.',
                'delete-failed'  => 'Tax rate deleted failed',
                'delete-success' => 'Tax rate deleted successfully',
                'update-success' => 'Tax Rate Update Successfully',
            ],
        ],

        'channels' => [
            'index' => [
                'title'             => 'Channels',
                'create-btn'        => 'Create Channel',
                'delete-success'    => 'Channel deleted successfully.',
                'delete-failed'     => 'Channel Delete Failed',
                'last-delete-error' => 'Last Channel deleted failed.',

                'datagrid' => [
                    'id'        => 'ID',
                    'code'      => 'Code',
                    'name'      => 'Name',
                    'host-name' => 'Host Name',
                    'edit'      => 'Edit',
                    'delete'    => 'Delete',
                ],
            ],

            'create' => [
                'title'                   => 'Create Channel',
                'cancel'                  => 'Back',
                'save-btn'                => 'Save Channel',
                'general'                 => 'General',
                'code'                    => 'Code',
                'name'                    => 'Name',
                'description'             => 'Description',
                'inventory-sources'       => 'Inventory Sources',
                'root-category'           => 'Root Category',
                'hostname'                => 'Hostname',
                'hostname-placeholder'    => 'https://www.example.com (Don\'t add slash in the end.)',
                'design'                  => 'Design',
                'theme'                   => 'Theme',
                'logo'                    => 'Logo',
                'allowed-ips'             => 'Allowed IPs',
                'logo-size'               => 'Image resolution should be like 192px X 50px',
                'favicon'                 => 'Favicon',
                'favicon-size'            => 'Image resolution should be like 16px X 16px',
                'seo'                     => 'Home page SEO',
                'seo-title'               => 'Meta title',
                'seo-description'         => 'Meta description',
                'seo-keywords'            => 'Meta keywords',
                'currencies-and-locales'  => 'Currencies and Locales',
                'locales'                 => 'Locales',
                'default-locale'          => 'Default Locale',
                'currencies'              => 'Currencies',
                'default-currency'        => 'Default Currency',
                'last-delete-error'       => 'At least one Channel is required.',
                'settings'                => 'Settings',
                'status'                  => 'Status',
                'select-root-category'    => 'Select Root Category',
                'select-theme'            => 'Select Theme',
                'select-default-locale'   => 'Select Default Locale',
                'select-default-currency' => 'Select Default Currency',
                'maintenance-mode-text'   => 'Message',
                'create-success'          => 'Channel created successfully.',
            ],

            'edit' => [
                'title'                  => 'Edit Channel',
                'back-btn'               => 'Back',
                'save-btn'               => 'Save Channel',
                'general'                => 'General',
                'code'                   => 'Code',
                'name'                   => 'Name',
                'description'            => 'Description',
                'inventory-sources'      => 'Inventory Sources',
                'root-category'          => 'Root Category',
                'hostname'               => 'Hostname',
                'hostname-placeholder'   => 'https://www.example.com (Don\'t add slash in the end.)',
                'design'                 => 'Design',
                'theme'                  => 'Theme',
                'logo'                   => 'Logo',
                'allowed-ips'            => 'Allowed IPs',
                'logo-size'              => 'Image resolution should be like 192px X 50px',
                'favicon'                => 'Favicon',
                'favicon-size'           => 'Image resolution should be like 16px X 16px',
                'seo'                    => 'Home page SEO',
                'seo-title'              => 'Meta title',
                'seo-description'        => 'Meta description',
                'seo-keywords'           => 'Meta keywords',
                'currencies-and-locales' => 'Currencies and Locales',
                'locales'                => 'Locales',
                'default-locale'         => 'Default Locale',
                'currencies'             => 'Currencies',
                'default-currency'       => 'Default Currency',
                'last-delete-error'      => 'At least one Channel is required.',
                'settings'               => 'Settings',
                'status'                 => 'Status',
                'maintenance-mode-text'  => 'Message',
                'update-success'         => 'Update Channel Successfully',
            ],
        ],

        'users' => [
            'index' => [
                'admin' => 'Admin',
                'title' => 'Users',
                'user'  => 'User',

                'create'  => [
                    'confirm-password'  => 'Confirm Password',
                    'email'             => 'Email',
                    'name'              => 'Name',
                    'password'          => 'Password',
                    'role'              => 'Role',
                    'status'            => 'Status',
                    'save-btn'          => 'Save User',
                    'title'             => 'Create User',
                    'upload-image-info' => 'Upload a Profile Image (110px X 110px) in PNG or JPG Format',
                ],

                'datagrid' => [
                    'actions'  => 'Actions',
                    'active'   => 'Active',
                    'delete'   => 'Delete',
                    'email'    => 'Email',
                    'edit'     => 'Edit',
                    'id'       => 'ID',
                    'inactive' => 'Inactive',
                    'name'     => 'Name',
                    'role'     => 'Role',
                    'status'   => 'Status',
                ],

                'edit'  => [
                    'title'    => 'Edit User',
                ],
            ],

            'edit'  => [
                'back-btn'         => 'Back',
                'confirm-password' => 'Confirm Password',
                'email'            => 'Email',
                'general'          => 'General',
                'name'             => 'Name',
                'password'         => 'Password',
                'role'             => 'Role',
                'status'           => 'Status',
                'save-btn'         => 'Save User',
                'title'            => 'Edit User',
            ],

            'activate-warning'   => 'Your account is yet to be activated, please contact administrator.',
            'cannot-change'      => 'User cannot be changed',
            'create-success'     => 'User created successfully.',
            'delete-failed'      => 'User deleted failed.',
            'delete-success'     => 'User deleted successfully.',
            'delete-warning'     => 'Are you sure, you want to perform this action?',
            'incorrect-password' => 'Incorrect password',
            'login-error'        => 'Please check your credentials and try again.',
            'last-delete-error'  => 'Last User delete failed',
            'update-success'     => 'User updated successfully.',
        ],

        'roles' => [
            'index' => [
                'create-btn' => 'Create Role',
                'title'      => 'Roles',

                'datagrid'  => [
                    'delete'          => 'Delete',
                    'edit'            => 'Edit',
                    'id'              => 'Id',
                    'name'            => 'Name',
                    'permission-type' => 'Permission Type',
                ],
            ],

            'create' => [
                'access-control' => 'Access Control',
                'all'            => 'All',
                'back-btn'       => 'Back',
                'custom'         => 'Custom',
                'description'    => 'Description',
                'general'        => 'General',
                'name'           => 'Name',
                'permissions'    => 'Permissions',
                'save-btn'       => 'Save Role',
                'title'          => 'Create Role',
            ],

            'edit' => [
                'access-control' => 'Access Control',
                'all'            => 'All',
                'back-btn'       => 'Back',
                'custom'         => 'Custom',
                'description'    => 'Description',
                'general'        => 'General',
                'name'           => 'Name',
                'permissions'    => 'Permissions',
                'save-btn'       => 'Save Role',
                'title'          => 'Edit Role',
            ],

            'being-used'        => 'Role is already used in Admin User',
            'create-success'    => 'Roles Created Successfully',
            'delete-success'    => 'Roles is deleted successfully',
            'delete-failed'     => 'Roles is deleted failed',
            'last-delete-error' => 'Last Roles can not be deleted',
            'update-success'    => 'Roles is updated successfully',
        ],

        'themes' => [
            'index' => [
                'create-btn' => 'Create Theme',
                'title'      => 'Themes',

                'datagrid'   => [
                    'active'       => 'Active',
                    'channel_name' => 'Channel Name',
                    'delete'       => 'Delete',
                    'inactive'     => 'Inactive',
                    'id'           => 'Id',
                    'name'         => 'Name',
                    'status'       => 'Status',
                    'sort-order'   => 'Sort Order',
                    'type'         => 'Type',
                    'view'         => 'View',
                ],
            ],

            'create' => [
                'name'       => 'Name',
                'save-btn'   => 'Save Theme',
                'sort-order' => 'Sort Order',
                'title'      => 'Create Theme',

                'type'       => [
                    'category-carousel' => 'Category Carousel',
                    'footer-links'      => 'Footer Links',
                    'image-carousel'    => 'Slider Carousel',
                    'product-carousel'  => 'Product Carousel',
                    'static-content'    => 'Static Content',
                    'title'             => 'Type',
                ],
            ],

            'edit' => [
                'add-image-btn'                 => 'Add Image',
                'add-filter-btn'                => 'Add Filter',
                'add-footer-link-btn'           => 'Add Footer Link',
                'add-link'                      => 'Add Link',
                'asc'                           => 'Asc',
                'back'                          => 'Back',
                'category-carousel-description' => 'Display dynamic categories attractively using a responsive category carousel.',
                'category-carousel'             => 'Category Carousel',
                'create-filter'                 => 'Create Filter',
                'css'                           => 'CSS',
                'column'                        => 'Column',
                'channels'                      => 'Channels',
                'desc'                          => 'Desc',
                'delete'                        => 'Delete',
                'edit'                          => 'Edit',
                'footer-title'                  => 'Title',
                'footer-link'                   => 'Footer Links',
                'footer-link-form-title'        => 'Footer Link',
                'filter-title'                  => 'Title',
                'filters'                       => 'Filters',
                'footer-link-description'       => 'Navigate via footer links for seamless website exploration and information.',
                'general'                       => 'General',
                'html'                          => 'HTML',
                'image-size'                    => 'Image resolution should be (1920px X 700px)',
                'image-upload-message'          => 'Only images (.jpeg, .jpg, .png, .webp, ..) are allowed.',
                'image'                         => 'Image',
                'key'                           => 'Key: :key',
                'key-input'                     => 'Key',
                'link'                          => 'Link',
                'limit'                         => 'Limit',
                'name'                          => 'Name',
                'product-carousel'              => 'Product Carousel',
                'product-carousel-description'  => 'Showcase products elegantly with a dynamic and responsive product carousel.',
                'path'                          => 'Path',
                'preview'                       => 'Preview',
                'slider'                        => 'Slider',
                'static-content-description'    => 'Improve engagement with concise, informative static content for your audience.',
                'static-content'                => 'Static Content',
                'slider-description'            => 'Slider related theme customization.',
                'slider-required'               => 'Slider field is Required.',
                'slider-add-btn'                => 'Add Slider',
                'save-btn'                      => 'Save',
                'sort'                          => 'Sort',
                'sort-order'                    => 'Sort Order',
                'status'                        => 'Status',
                'slider-image'                  => 'Slider Image',
                'select'                        => 'Select',
                'title'                         => 'Edit Theme',
                'update-slider'                 => 'Update Slider',
                'value-input'                   => 'Value',
                'value'                         => 'Value: :value',
            ],

            'create-success' => 'Theme created successfully',
            'delete-success' => 'Theme deleted successfully',
            'update-success' => 'Theme updated successfully',
        ],
    ],

    'reporting' => [
        'sales' => [
            'index' => [
                'abandoned-carts'               => 'Abandoned Carts',
                'abandoned-products'            => 'Abandoned Products',
                'abandoned-rate'                => 'Abandoned Rate',
                'abandoned-revenue'             => 'Abandoned Revenue',
                'average-order-value-over-time' => 'Average Order Value Over Time',
                'average-sales'                 => 'Average Order Value',
                'added-to-cart'                 => 'Added to Cart',
                'added-to-cart-info'            => 'Only :progress visitors added products to cart',
                'count'                         => 'Count',
                'end-date'                      => 'End Date',
                'id'                            => 'Id',
                'interval'                      => 'Interval',
                'name'                          => 'Name',
                'orders'                        => 'Orders',
                'orders-over-time'              => 'Orders Over Time',
                'purchased'                     => 'Purchased',
                'purchased-info'                => 'Only :progress visitors do the purchasing',
                'payment-method'                => 'Payment Method',
                'product-views'                 => 'Product Views',
                'product-views-info'            => 'Only :progress visitors view products',
                'purchase-funnel'               => 'Purchase Funnel',
                'refunds'                       => 'Refunds',
                'refunds-over-time'             => 'Refunds Over Time',
                'sales-over-time'               => 'Sales Over Time',
                'start-date'                    => 'Start Date',
                'shipping-collected'            => 'Shipping Collected',
                'shipping-collected-over-time'  => 'Shipping Collected Over Time',
                'tax-collected'                 => 'Tax Collected',
                'tax-collected-over-time'       => 'Tax Collected Over Time',
                'title'                         => 'Sales',
                'top-payment-methods'           => 'Top Payment Methods',
                'top-shipping-methods'          => 'Top Shipping Methods',
                'top-tax-categories'            => 'Top Tax Categories',
                'total'                         => 'Total',
                'total-orders'                  => 'Total Orders',
                'total-sales'                   => 'Total Sales',
                'total-visits'                  => 'Total visits',
                'total-visits-info'             => 'Total visitors on store',
                'view-details'                  => 'View Details',
            ],
        ],

        'customers' => [
            'index' => [
                'count'                       => 'Count',
                'customers'                   => 'Customers',
                'customers-over-time'         => 'Customers Over Time',
                'customers-traffic'           => 'Customers Traffic',
                'customers-with-most-orders'  => 'Customers With Most Orders',
                'customers-with-most-reviews' => 'Customers With Most Reviews',
                'customers-with-most-sales'   => 'Customers With Most Sales',
                'email'                       => 'Email',
                'end-date'                    => 'End Date',
                'id'                          => 'Id',
                'interval'                    => 'Interval',
                'name'                        => 'Name',
                'orders'                      => 'Orders',
                'reviews'                     => 'Reviews',
                'start-date'                  => 'Start Date',
                'title'                       => 'Customers',
                'top-customer-groups'         => 'Top Customer Groups',
                'total'                       => 'Total',
                'total-customers'             => 'Total Customers',
                'total-visitors'              => 'Total Visitors',
                'traffic-over-week'           => 'Traffic Over Week',
                'unique-visitors'             => 'Unique Visitors',
                'view-details'                => 'View Details',
            ],
        ],

        'products' => [
            'index' => [
                'end-date'                         => 'End Date',
                'id'                               => 'Id',
                'interval'                         => 'Interval',
                'name'                             => 'Name',
                'orders'                           => 'Orders',
                'price'                            => 'price',
                'products-added-over-time'         => 'Products Added Over Time',
                'products-with-most-reviews'       => 'Products With Most Reviews',
                'products-with-most-visits'        => 'Products With Most Visits',
                'quantities'                       => 'Quantities',
                'quantities-sold-over-time'        => 'Quantities Sold Over Time',
                'revenue'                          => 'Revenue',
                'reviews'                          => 'Reviews',
                'start-date'                       => 'Start Date',
                'title'                            => 'Products',
                'top-selling-products-by-quantity' => 'Top Selling Products By Quantity',
                'top-selling-products-by-revenue'  => 'Top Selling Products By Revenue',
                'total'                            => 'Total',
                'total-products-added-to-wishlist' => 'Products Added To Wishlist',
                'total-sold-quantities'            => 'Sold Products Quantity',
                'view-details'                     => 'View Details',
                'visits'                           => 'Visits',
            ],
        ],

        'view' => [
            'day'        => 'Day',
            'end-date'   => 'End Date',
            'export-csv' => 'Export CSV',
            'export-xls' => 'Export XLS',
            'month'      => 'Month',
            'start-date' => 'Start Date',
            'year'       => 'Year',
        ],

        'empty' => [
            'info'  => 'No data available for selected interval',
            'title' => 'No Data Available',
        ],
    ],

    'configuration' => [
        'index' => [
            'delete'                       => 'Delete',
            'enable-at-least-one-shipping' => 'Enable at least one shipping method.',
            'enable-at-least-one-payment'  => 'Enable at least one payment method.',
            'save-btn'                     => 'Save Configuration',
            'save-message'                 => 'Configuration saved successfully',
            'title'                        => 'Configuration',

            'general' => [
                'info'  => 'Set units options.',
                'title' => 'General',

                'general' => [
                    'info'  => 'Set units options.',
                    'title' => 'General',

                    'unit-options' => [
                        'info'              => 'Set units options.',
                        'title'             => 'Unit Options',
                        'title-info'        => 'Size, color, material, customization, enhancing customer satisfaction and tailoring purchases.',
                        'weight-unit'       => 'Weight Unit',
                    ],
                ],

                'content' => [
                    'info'  => 'Set compare options, wishlist options, image search options, footer, toggle footer and custom scripts.',
                    'title' => 'Content',

                    'settings' => [
                        'compare-options'     => 'Compare options',
                        'image-search-option' => 'Image Search Option',
                        'title'               => 'Settings',
                        'title-info'          => 'Settings refer to configurable choices that control how a system, application, or device behaves, tailored to user preferences and requirements.',
                        'wishlist-options'    => 'Wishlist options',
                    ],

                    'custom-scripts' => [
                        'custom-css'        => 'Custom CSS',
                        'custom-javascript' => 'Custom Javascript',
                        'title'             => 'Custom Scripts',
                        'title-info'        => 'Custom scripts are personalized pieces of code created to add specific functions or features to software, enhancing its capabilities uniquely.',
                    ],
                ],

                'design' => [
                    'info'  => 'Set logo and favicon icon.',
                    'title' => 'Design',

                    'admin-logo' => [
                        'favicon'         => 'Favicon',
                        'logo-image'      => 'Logo Image',
                        'title'           => 'Admin Logo',
                        'title-info'      => 'Admin logo is the distinctive image or emblem representing the administration interface of a system or website, often customizable.',
                    ],
                ],
            ],

            'catalog' => [
                'info'  => 'Catalog',
                'title' => 'Catalog',

                'inventory' => [
                    'info'  => 'Set back orders',
                    'title' => 'Inventory',

                    'stock-options' => [
                        'allow-back-orders'  => 'Allow Back orders',
                        'title'              => 'Stock Options',
                        'title-info'         => 'Stock options are investment contracts that grant the right to buy or sell company shares at a predetermined price, influencing potential profits.',
                    ],
                ],

                'products' => [
                    'info'  => 'Set guest checkout, product view page, cart view page, store front, review and attribute social share.',
                    'title' => 'Products',

                    'guest-checkout' => [
                        'allow-guest-checkout'      => 'Allow Guest Checkout',
                        'allow-guest-checkout-hint' => 'Hint: If turned on, this option can be configured for each product specifically.',
                        'title'                     => 'Guest Checkout',
                        'title-info'                => 'Guest checkout allows customers to buy products without creating an account, streamlining the purchase process for convenience and faster transactions.',
                    ],

                    'product-view-page' => [
                        'allow-no-of-related-products'  => 'Allowed number of Related Products',
                        'allow-no-of-up-sells-products' => 'Allowed number of Up-Sell Products',
                        'title'                         => 'Product view page configuration',
                        'title-info'                    => 'Product view page configuration entails adjusting the layout and elements on a product\'s display page, enhancing user experience and information presentation.',
                    ],

                    'cart-view-page' => [
                        'allow-no-of-cross-sells-products' => 'Allowed number of Cross-Sell Products',
                        'title'                            => 'Cart view page configuration',
                        'title-info'                       => 'Cart view page configuration involves arranging items, details, and options on the shopping cart page, improving user interaction and purchase flow.',
                    ],

                    'storefront' => [
                        'buy-now-button-display' => 'Allow customers to directly buy products',
                        'comma-separated'        => 'Comma Separated',
                        'cheapest-first'         => 'Cheapest First',
                        'default-list-mode'      => 'Default List Mode',
                        'database'               => 'Database',
                        'expensive-first'        => 'Expensive First',
                        'elastic'                => 'Elastic Search',
                        'from-z-a'               => 'From Z-A',
                        'from-a-z'               => 'From A-Z',
                        'grid'                   => 'Grid',
                        'list'                   => 'List',
                        'latest-first'           => 'Newest First',
                        'oldest-first'           => 'Oldest First',
                        'products-per-page'      => 'Products Per Page',
                        'sort-by'                => 'Sort By',
                        'search-mode'            => 'Search Mode',
                        'title'                  => 'Storefront',
                        'title-info'             => 'Storefront is the customer-facing interface of an online shop, showcasing products, categories, and navigation for a seamless shopping experience.',
                    ],

                    'small-image' => [
                        'height'     => 'Height',
                        'title'      => 'Small Image',
                        'title-info' => 'Storefront is the customer-facing interface of an online shop, showcasing products, categories, and navigation for a seamless shopping experience.',
                        'width'      => 'Width',
                    ],

                    'medium-image' => [
                        'height'     => 'Height',
                        'title'      => 'Medium Image',
                        'title-info' => 'Medium image refers to a moderate-sized picture that offers a balance between detail and screen space, commonly used for visuals.',
                        'width'      => 'Width',
                    ],

                    'large-image' => [
                        'width'      => 'Width',
                        'height'     => 'Height',
                        'title'      => 'Large image',
                        'title-info' => 'Large image represents a high-resolution picture providing enhanced detail and visual impact, often used for showcasing products or graphics.',
                    ],

                    'review' => [
                        'allow-guest-review' => 'Allow Guest Review',
                        'title'              => 'Review',
                        'title-info'         => 'Evaluation or assessment of something, often involving opinions and feedback.',
                    ],

                    'attribute' => [
                        'file-upload-size'  => 'Allowed File Upload Size (in Kb)',
                        'image-upload-size' => 'Allowed Image Upload Size (in Kb)',
                        'title'             => 'Attribute',
                        'title-info'        => 'Characteristic or property that defines an object, influencing its behavior, appearance, or function.',
                    ],

                    'social-share' => [
                        'enable-social-share'    => 'Enable Social Share?',
                        'enable-share-facebook'  => 'Enable Share in Facebook?',
                        'enable-share-twitter'   => 'Enable Share in Twitter?',
                        'enable-share-pinterest' => 'Enable Share in Pinterest?',
                        'enable-share-whatsapp'  => 'Enable Share in What\'s App?',
                        'enable-share-linkedin'  => 'Enable Share in Linkedin?',
                        'enable-share-email'     => 'Enable Share in Email?',
                        'share-message'          => 'Share Message',
                        'share'                  => 'Share',
                        'title'                  => 'Social Share',
                        'title-info'             => 'Sharing things from a website with friends on social media platforms like Facebook, Twitter, or Instagram.',
                    ],
                ],

                'rich-snippets' => [
                    'info'  => 'Set products and categories.',
                    'title' => 'Rich Snippets',

                    'products' => [
                        'enable'          => 'Enable',
                        'show-weight'     => 'Show Weight',
                        'show-categories' => 'Show Categories',
                        'show-images'     => 'Show Images',
                        'show-reviews'    => 'Show Reviews',
                        'show-ratings'    => 'Show Ratings',
                        'show-offers'     => 'Show Offers',
                        'show-sku'        => 'Show SKU',
                        'title'           => 'Products',
                        'title-info'      => 'Items available for purchase or use, offered by a business or seller.',
                    ],

                    'categories' => [
                        'enable'                  => 'Enable',
                        'show-search-input-field' => 'Show Search Input Field',
                        'title'                   => 'Categories',
                        'title-info'              => '"Categories" refer to groups or classifications that help organize and group similar products or items together for easier browsing and navigation.',
                    ],
                ],
            ],

            'customer' => [
                'info'  => 'Customer',
                'title' => 'Customer',

                'address' => [
                    'info'  => 'Set country, state, zip and lines in a street address.',
                    'title' => 'Address',

                    'requirements' => [
                        'country'    => 'Country',
                        'city'       => 'City',
                        'state'      => 'State',
                        'title'      => 'Requirements',
                        'title-info' => 'Requirements are the conditions, features, or specifications necessary for something to be fulfilled, achieved, or met successfully.',
                        'zip'        => 'Zip',
                    ],

                    'information' => [
                        'street-lines' => 'Lines in a Street Address',
                        'title'        => 'Information',
                        'title-info'   => '"Lines in a street address" refer to individual segments of an address, often separated by commas, providing location information such as house number, street, city, and more.',
                    ],
                ],

                'captcha'  => [
                    'info'  => 'Set site key, secret key and status.',
                    'title' => 'Captcha',

                    'credentials' => [
                        'site-key'   => 'Site Key',
                        'secret-key' => 'Secret Key',
                        'status'     => 'Status',
                        'title'      => 'Credentials',
                        'title-info' => '"Sitemap: Website layout map for search engines. Secret key: Secure code for data encryption, authentication, or API access protection."',
                    ],

                    'validations' => [
                        'captcha'  => 'Something went wrong! Please try again.',
                        'required' => 'Please select CAPTCHA',
                    ],
                ],

                'settings' => [
                    'settings-info' => 'Set newsletter subscriptions, email verifications and social login.',
                    'title'         => 'Settings',

                    'newsletter' => [
                        'subscription' => 'Allow Newsletter Subscription',
                        'title'        => 'Newsletter Subscription',
                        'title-info'   => '"Newsletter information" contains updates, offers, or content shared regularly through emails to subscribers, keeping them informed and engaged.',
                    ],

                    'email' => [
                        'email-verification' => 'Allow Email Verification',
                        'title'              => 'Email Verification',
                        'title-info'         => '"Email verification" confirms the authenticity of an email address, often by sending a confirmation link, enhancing account security and communication reliability.',
                    ],

                    'social-login' => [
                        'enable-facebook'   => 'Enable Facebook',
                        'enable-twitter'    => 'Enable Twitter',
                        'enable-google'     => 'Enable Google',
                        'enable-linkedin'   => 'Enable LinkedIn',
                        'enable-github'     => 'Enable Github',
                        'social-login'      => 'Social Login',
                        'social-login-info' => '"Social login" enables users to access websites using their social media accounts, streamlining registration and login processes for convenience.',
                    ],
                ],
            ],

            'email' => [
                'info'  => 'Email',
                'title' => 'Email',

                'email-settings' => [
                    'admin-name'             => 'Admin Name',
                    'admin-name-tip'         => 'This name will be displayed in all admin emails',
                    'admin-email'            => 'Admin Email',
                    'admin-email-tip'        => 'The email address of the admin for this channel to receive emails',
                    'admin-page-limit'       => 'Default Items Per Page (Admin)',
                    'email-sender-name'      => 'Email Sender Name',
                    'email-sender-name-tip'  => 'This name will be displayed in the customers inbox',
                    'info'                   => 'Set email sender name, shop email address, admin name and admin email address.',
                    'shop-email-from'        => 'Shop Email Address',
                    'shop-email-from-tip'    => 'The email address of this channel to send emails to your customers',
                    'title'                  => 'Email Settings',
                ],

                'notifications' => [
                    'customer-registration-confirmation-mail-to-admin' => 'Send a confirmation e-mail to admin after customer registration',
                    'customer'                                         => 'Send the customer account credentials after registration',
                    'cancel-order'                                     => 'Send a notification after canceling an order',
                    'info'                                             => '"Notification" is a message or alert that informs users about events, updates, or actions, enhancing user engagement and awareness.',
                    'new-order'                                        => 'Send a confirmation e-mail to the customer after placing a new order',
                    'new-admin'                                        => 'Send a confirmation e-mail to the admin after placing a new order',
                    'new-invoice'                                      => 'Send a notification e-mail to the customer after creating a new invoice',
                    'new-refund'                                       => 'Send a notification e-mail to the customer after creating a refund',
                    'new-shipment'                                     => 'Send a notification e-mail to the customer after creating a shipment',
                    'new-inventory-source'                             => 'Send a notification e-mail to the inventory source after creating a shipment',
                    'registration'                                     => 'Send a confirmation e-mail after customer registration',
                    'title'                                            => 'Notifications',
                    'verification'                                     => 'Send a verification e-mail after customer registration',
                ],
            ],

            'sales' => [
                'info'  => 'Sales',
                'title' => 'Sales',

                'shipping' => [
                    'info'  => 'Set shipping information.',
                    'title' => 'Shipping',

                    'origin' => [
                        'bank-details'   => 'Bank Details',
                        'contact-number' => 'Contact Number',
                        'city'           => 'City',
                        'country'        => 'Country',
                        'state'          => 'State',
                        'street-address' => 'Street Address',
                        'store-name'     => 'Store Name',
                        'title'          => 'Origin',
                        'title-info'     => 'Shipping origin refers to the location where goods or products originate before being transported to their destination.',
                        'vat-number'     => 'Vat Number',
                        'zip'            => 'Zip',
                    ],
                ],

                'shipping-methods' => [
                    'info'  => 'Set shipping methods information',
                    'title' => 'Shipping Methods',

                    'free-shipping' => [
                        'description' => 'Description',
                        'page-title'  => 'Free Shipping',
                        'status'      => 'Status',
                        'title-info'  => '"Free shipping" refers to a shipping method where the cost of shipping is waived, and the seller covers the shipping expenses for delivering goods to the buyer.',
                        'title'       => 'Title',
                    ],

                    'flat-rate-shipping' => [
                        'description' => 'Description',
                        'page-title'  => 'Flat Rate Shipping',
                        'rate'        => 'Rate',
                        'status'      => 'Status',
                        'title'       => 'Title',
                        'title-info'  => 'Flat rate shipping is a shipping method where a fixed fee is charged for shipping, regardless of the weight, size, or distance of the package. This simplifies shipping costs and can be advantageous for both buyers and sellers.',
                        'type'        => 'Type',
                    ],
                ],

                'payment-methods' => [
                    'page-title'                     => 'Payment Methods',
                    'info'                           => 'Set payment methods information',
                    'cash-on-delivery'               => 'Cash On Delivery',
                    'cash-on-delivery-info'          => 'Payment method where customers pay in cash upon receiving goods or services at their doorstep.',
                    'description'                    => 'Description',
                    'title'                          => 'Title',
                    'instructions'                   => 'Instructions',
                    'generate-invoice'               => 'Automatically generate the invoice after placing an order',
                    'set-invoice-status'             => 'Set the invoice status after creating the invoice to',
                    'generate-invoice-applicable'    => 'Applicable if automatic generate invoice is enabled',
                    'status'                         => 'Status',
                    'sort-order'                     => 'Sort Order',
                    'set-order-status'               => 'Set the order status after creating the invoice to',
                    'pending'                        => 'Pending',
                    'paid'                           => 'Paid',
                    'sandbox'                        => 'Sandbox',
                    'pending-payment'                => 'Pending Payment',
                    'processing'                     => 'Processing',
                    'money-transfer'                 => 'Money Transfer',
                    'money-transfer-info'            => 'Transfer of funds from one person or account to another, often electronically, for various purposes such as transactions or remittances.',
                    'mailing-address'                => 'Send Check to',
                    'paypal-standard'                => 'PayPal Standard',
                    'paypal-standard-info'           => 'PayPal Standard is a basic PayPal payment option for online businesses, enabling customers to pay using their PayPal accounts or credit/debit cards.',
                    'paypal-smart-button'            => 'PayPal',
                    'paypal-smart-button-info'       => 'PayPal Smart Button: Simplifies online payments with customizable buttons for secure, multi-method transactions on websites and apps.',
                    'client-id'                      => 'Client ID',
                    'client-id-info'                 => 'Use "sb" for testing.',
                    'client-secret'                  => 'Client Secret',
                    'client-secret-info'             => 'Add your secret key here',
                    'accepted-currencies'            => 'Accepted currencies',
                    'accepted-currencies-info'       => 'Add currency code comma separated e.g. USD,INR,...',
                    'business-account'               => 'Business Account',
                ],

                'order-settings' => [
                    'info'  => 'Set order numbers and minimum orders.',
                    'title' => 'Order Settings',

                    'order-number' => [
                        'generator'   => 'Order Number Generator',
                        'length'      => 'Order Number Length',
                        'prefix'      => 'Order Number Prefix',
                        'suffix'      => 'Order Number Suffix',
                        'title'       => 'Order Number Settings',
                        'title-info'  => 'Unique identifier assigned to a specific customer order, aiding tracking, communication, and reference throughout the purchasing process.',
                    ],

                    'minimum-order' => [
                        'minimum-order-amount' => 'Minimum Order Amount',
                        'title'                => 'Minimum Order Settings',
                        'title-info'           => 'Configured criteria specifying the lowest required quantity or value for an order to be processed or qualify for benefits.',
                    ],
                ],

                'invoice-settings' => [
                    'info'  => 'Set invoice number, payment terms, invoice slip design and invoice reminders.',
                    'title' => 'Invoice Settings',

                    'invoice-number' => [
                        'generator'  => 'Invoice Number Generator',
                        'length'     => 'Invoice Number Length',
                        'prefix'     => 'Invoice Number Prefix',
                        'suffix'     => 'Invoice Number Suffix',
                        'title'      => 'Invoice Number Settings',
                        'title-info' => 'Configuration of rules or parameters for generating and assigning unique identification numbers to invoices for organizational and tracking purposes.',
                    ],

                    'payment-terms' => [
                        'due-duration'      => 'Due Duration',
                        'due-duration-day'  => ':due-duration Day',
                        'due-duration-days' => ':due-duration Days',
                        'title'             => 'Payment Terms',
                        'title-info'        => 'Agreed-upon conditions dictating when and how payment for goods or services should be made by the buyer to the seller.',
                    ],

                    'invoice-slip-design' => [
                        'logo'       => 'Logo',
                        'title'      => 'Invoice Slip Design',
                        'title-info' => 'Visual layout and formatting of an invoice slip, including company branding, itemization, pricing, and payment details for professional presentation.',
                    ],

                    'invoice-reminders' => [
                        'interval-between-reminders' => 'Interval between reminders',
                        'maximum-limit-of-reminders' => 'Maximum limit of reminders',
                        'title'                      => 'Invoice Reminders',
                        'title-info'                 => 'Automated notifications or communications sent to customers to remind them of upcoming or overdue payments for invoices.',
                    ],
                ],
            ],

            'taxes' => [
                'title' => 'Taxes',

                'catalog' => [
                    'title'      => 'Catalog',
                    'title-info' => 'Set pricing and default location calculations',

                    'pricing' => [
                        'title'         => 'Pricing',
                        'title-info'    => 'Details about the cost of goods or services, including base price, discounts, taxes, and additional charges.information',
                        'tax-inclusive' => 'Tax inclusive',
                    ],

                    'default-location-calculation' => [
                        'default-country'   => 'Default Country',
                        'default-state'     => 'Default State',
                        'default-post-code' => 'Default Post Code',
                        'title'             => 'Default Location Calculation',
                        'title-info'        => 'Automated determination of a standard or initial location based on predefined factors or settings.',
                    ],
                ],
            ],
        ],
    ],

    'components' => [
        'layouts' => [
            'header' => [
                'app-version'   => 'Version : :version',
                'account-title' => 'Account',
                'logout'        => 'Logout',
                'my-account'    => 'My Account',
                'notifications' => 'Notifications',
                'visit-shop'    => 'Visit Shop',

                'mega-search' => [
                    'categories'                      => 'Categories',
                    'customers'                       => 'Customers',
                    'explore-all-matching-products'   => 'Explore all products matching “:query” (:count)',
                    'explore-all-products'            => 'Explore all products',
                    'explore-all-matching-orders'     => 'Explore all Orders matching “:query” (:count)',
                    'explore-all-orders'              => 'Explore all Orders',
                    'explore-all-matching-categories' => 'Explore all categories matching “:query” (:count)',
                    'explore-all-categories'          => 'Explore all categories',
                    'explore-all-matching-customers'  => 'Explore all customers matching “:query” (:count)',
                    'explore-all-customers'           => 'Explore all customers',
                    'orders'                          => 'Orders',
                    'products'                        => 'Products',
                    'sku'                             => 'SKU: :sku',
                    'title'                           => 'Mega Search',
                ],
            ],

            'sidebar' => [
                'attributes'               => 'Attributes',
                'attribute-families'       => 'Attribute Families',
                'collapse'                 => 'Collapse',
                'catalog'                  => 'Catalog',
                'categories'               => 'Categories',
                'customers'                => 'Customers',
                'configure'                => 'Configure',
                'currencies'               => 'Currencies',
                'channels'                 => 'Channels',
                'communications'           => 'Communications',
                'campaigns'                => 'Campaigns',
                'cms'                      => 'CMS',
                'discount'                 => 'Discount',
                'dashboard'                => 'Dashboard',
                'email-templates'          => 'Email Templates',
                'events'                   => 'Events',
                'exchange-rates'           => 'Exchange Rates',
                'groups'                   => 'Groups',
                'invoices'                 => 'Invoices',
                'inventory-sources'        => 'Inventory Sources',
                'locales'                  => 'Locales',
                'marketing'                => 'Marketing',
                'mode'                     => 'Dark Mode',
                'newsletter-subscriptions' => 'Newsletter Subscriptions',
                'orders'                   => 'Orders',
                'products'                 => 'Products',
                'promotions'               => 'Promotions',
                'reporting'                => 'Reporting',
                'refunds'                  => 'Refunds',
                'reviews'                  => 'Reviews',
                'roles'                    => 'Roles',
                'sales'                    => 'Sales',
                'shipments'                => 'Shipments',
                'settings'                 => 'Settings',
                'sitemaps'                 => 'Sitemaps',
                'taxes'                    => 'Taxes',
                'tax-categories'           => 'Tax Categories',
                'tax-rates'                => 'Tax Rates',
                'transactions'             => 'Transactions',
                'users'                    => 'Users',
            ],
        ],

        'datagrid' => [
            'index' => [
                'must-select-a-mass-action'        => 'You must select a mass action.',
                'must-select-a-mass-action-option' => 'You must select a mass action\'s option.',
                'no-records-selected'              => 'No records have been selected.',
            ],

            'toolbar' => [
                'mass-actions' => [
                    'select-action' => 'Select Action',
                    'select-option' => 'Select Option',
                    'submit'        => 'Submit',
                ],

                'filter' => [
                    'title' => 'Filter',
                ],

                'search' => [
                    'title' => 'Search',
                ],
            ],

            'filters' => [
                'select' => 'Select',
                'title'  => 'Apply Filters',

                'dropdown' => [
                    'searchable' => [
                        'atleast-two-chars' => 'Type atleast 2 characters...',
                        'no-results'        => 'No result found...',
                    ],
                ],

                'custom-filters' => [
                    'clear-all' => 'Clear All',
                    'title'     => 'Custom Filters',
                ],

                'boolean-options' => [
                    'false' => 'False',
                    'true'  => 'True',
                ],

                'date-options' => [
                    'last-month'        => 'Last Month',
                    'last-three-months' => 'Last 3 Months',
                    'last-six-months'   => 'Last 6 Months',
                    'today'             => 'Today',
                    'this-week'         => 'This Week',
                    'this-month'        => 'This Month',
                    'this-year'         => 'This Year',
                    'yesterday'         => 'Yesterday',
                ],
            ],

            'table' => [
                'actions'              => 'Actions',
                'no-records-available' => 'No Records Available.',
            ],
        ],

        'modal' => [
            'confirm' => [
                'agree-btn'    => 'Agree',
                'disagree-btn' => 'Disagree',
                'message'      => 'Are you sure you want to perform this action?',
                'title'        => 'Are you sure?',
            ],
        ],

        'products' => [
            'search' => [
                'add-btn'     => 'Add Selected Product',
                'empty-title' => 'No products found',
                'empty-info'  => 'No products available for search term.',
                'qty'         => ':qty Available',
                'sku'         => 'SKU - :sku',
                'title'       => 'Select Products',
            ],
        ],

        'media' => [
            'images' => [
                'add-image-btn'     => 'Add Image',
                'allowed-types'     => 'png, jpeg, jpg',
                'not-allowed-error' => 'Only images files (.jpeg, .jpg, .png, ..) are allowed.',

                'placeholders'  => [
                    'front'     => 'Front',
                    'next'      => 'Next',
                    'size'      => 'Size',
                    'use-cases' => 'Use Cases',
                    'zoom'      => 'Zoom',
                ],
            ],

            'videos' => [
                'add-video-btn'     => 'Add Video',
                'allowed-types'     => 'mp4, webm, mkv',
                'not-allowed-error' => 'Only videos files (.mp4, .mov, .ogg ..) are allowed.',
            ],
        ],
    ],

    'acl' => [
        'attributes'               => 'Attributes',
        'attribute-families'       => 'Attribute Families',
        'addresses'                => 'Addresses',
        'cancel'                   => 'Cancel',
        'cms'                      => 'CMS',
        'catalog'                  => 'Catalog',
        'copy'                     => 'Copy',
        'categories'               => 'Categories',
        'customers'                => 'Customers',
        'channels'                 => 'Channels',
        'configure'                => 'Configure',
        'currencies'               => 'Currencies',
        'create'                   => 'Add',
        'cart-rules'               => 'Cart Rules',
        'catalog-rules'            => 'Catalog Rules',
        'communications'           => 'Communications',
        'campaigns'                => 'Campaigns',
        'dashboard'                => 'Dashboard',
        'delete'                   => 'Delete',
        'exchange-rates'           => 'Exchange Rates',
        'edit'                     => 'Edit',
        'email-templates'          => 'Email Templates',
        'events'                   => 'Events',
        'groups'                   => 'Groups',
        'invoices'                 => 'Invoices',
        'inventory-sources'        => 'Inventory Sources',
        'locales'                  => 'Locales',
        'mass-delete'              => 'Mass Delete',
        'mass-update'              => 'Mass Update',
        'marketing'                => 'Marketing',
        'newsletter-subscriptions' => 'Newsletter Subscriptions',
        'note'                     => 'Note',
        'orders'                   => 'Orders',
        'products'                 => 'Products',
        'promotions'               => 'Promotions',
        'refunds'                  => 'Refunds',
        'reviews'                  => 'Reviews',
        'roles'                    => 'Roles',
        'sales'                    => 'Sales',
        'shipments'                => 'Shipments',
        'settings'                 => 'Settings',
        'subscribers'              => 'Newsletter Subscribers',
        'sitemaps'                 => 'Sitemaps',
        'taxes'                    => 'Taxes',
        'themes'                   => 'Themes',
        'tax-categories'           => 'Tax Categories',
        'tax-rates'                => 'Tax Rates',
        'transactions'             => 'Transactions',
        'users'                    => 'Users',
        'view'                     => 'View',
    ],

    'errors' => [
        'dashboard' => 'Dashboard',
        'go-back'   => 'Go Back',
        'support'   => 'If the problem persists, reach out to us at <a href=":link" class=":class">:email</a> for assistance.',

        '404' => [
            'description' => 'Oops! The page you\'re looking for is on vacation. It seems we couldn\'t find what you were searching for.',
            'title'       => '404 Page Not Found',
        ],

        '401' => [
            'description' => 'Oops! Looks like you\'re not allowed to access this page. It seems you\'re missing the necessary credentials.',
            'title'       => '401 Unauthorized',
        ],

        '403' => [
            'description' => 'Oops! This page is off-limits. It appears you don\'t have the required permissions to view this content.',
            'title'       => '403 Forbidden',
        ],

        '500' => [
            'description' => 'Oops! Something went wrong. It seems we\'re having trouble loading the page you\'re looking for.',
            'title'       => '500 Internal Server Error',
        ],

        '503' => [
            'description' => 'Oops! Looks like we\'re temporarily down for maintenance. Please check back in a bit.',
            'title'       => '503 Service Unavailable',
        ],
    ],

    'export' => [
        'allowed-type'     => 'Allowed Type :',
        'csv'              => 'CSV',
        'download'         => 'Download',
        'duplicate-error'  => 'Identifier must be unique, duplicate identifier :identifier at row :position.',
        'enough-row-error' => 'file has not enough rows',
        'export'           => 'Export',
        'file-type'        => 'csv, xls, xlsx.',
        'file'             => 'File',
        'format'           => 'Select Format',
        'import'           => 'Import',
        'illegal-format'   => 'Error! This type of format is either not supported or its illegal format',
        'no-records'       => 'Nothing to export',
        'upload'           => 'Upload',
        'upload-error'     => 'The file must be a file of type: xls, xlsx, csv.',
        'upload-success'   => ':name Uploaded successfully',
        'xls'              => 'XLS',
    ],

    'validations' => [
        'slug-being-used' => 'This slug is getting used in either categories or products.',
        'slug-reserved'   => 'This slug is reserved.',
    ],

    'footer' => [
        'copy-right' => 'Powered by <a href="https://bagisto.com/" target="_blank">Bagisto</a>, A Community Project by <a href="https://webkul.com/" target="_blank">Webkul</a>',
    ],

    'emails' => [
        'dear'   => 'Dear :admin_name',
        'thanks' => 'If you need any kind of help please contact us at <a href=":link" style=":style">:email</a>.<br/>Thanks!',

        'admin' => [
            'forgot-password' => [
                'description'    => 'You are receiving this email because we received a password reset request for your account.',
                'greeting'       => 'Forgot Password!',
                'reset-password' => 'Reset Password',
                'subject'        => 'Reset Password Email',
            ],
        ],

        'orders' => [
            'created' => [
                'greeting' => 'You have a new Order :order_id placed on :created_at',
                'subject'  => 'New Order Confirmation',
                'summary'  => 'Summary of Order',
                'title'    => 'Order Confirmation!',
            ],

            'invoiced' => [
                'subject'  => 'New Invoice Confirmation',
                'title'    => 'Invoice Confirmation!',
                'greeting' => 'Your invoice #:invoice_id for order :order_id created on :created_at',
                'summary'  => 'Summary of Invoice',
            ],

            'shipped' => [
                'greeting' => 'You have shipped the order :order_id placed on :created_at',
                'subject'  => 'New Shipment Confirmation',
                'summary'  => 'Summary of Shipment',
                'title'    => 'Order Shipped!',
            ],

            'inventory-source' => [
                'greeting' => 'You have shipped the order :order_id placed on :created_at',
                'subject'  => 'New Shipment Confirmation',
                'summary'  => 'Summary of Shipment',
                'title'    => 'Order Shipped!',
            ],

            'refunded' => [
                'greeting' => 'You have refunded for order :order_id placed on :created_at',
                'subject'  => 'New Refund Confirmation',
                'summary'  => 'Summary of Refund',
                'title'    => 'Order Refunded!',
            ],

            'canceled' => [
                'greeting' => 'You have canceled the order :order_id placed on :created_at',
                'subject'  => 'New Order Canceled',
                'summary'  => 'Summary of Order',
                'title'    => 'Order Canceled!',
            ],

            'billing-address'   => 'Billing Address',
            'contact'           => 'Contact',
            'discount'          => 'Discount',
            'grand-total'       => 'Grand Total',
            'name'              => 'Name',
            'payment'           => 'Payment',
            'price'             => 'Price',
            'qty'               => 'Qty',
            'shipping-address'  => 'Shipping Address',
            'shipping'          => 'Shipping',
            'sku'               => 'SKU',
            'subtotal'          => 'Subtotal',
            'shipping-handling' => 'Shipping Handling',
            'tax'               => 'Tax',
        ],
    ],
];
