@php
    $channel = core()->getCurrentChannel();
@endphp


{{-- SEO Meta Content --}}
@push ('meta')
    <meta name="title" content="{{ $channel->home_seo['meta_title'] ?? '' }}" />

    <meta name="description" content="{{ $channel->home_seo['meta_description'] ?? '' }}" />

    <meta name="keywords" content="{{ $channel->home_seo['meta_keywords'] ?? '' }}" />
@endPush

<x-store::layouts>
    {{-- Page Title --}}
    <x-slot:title>
        {{  $channel->home_seo['meta_title'] ?? '' }}
    </x-slot>

    {{-- Loop over the theme customization --}}
    @foreach ($customizations as $customization)
        @php ($data = $customization->options)

        {{-- Static content --}}
        @switch ($customization->type)
            {{-- Image Carousel --}}
            @case ($customization::IMAGE_CAROUSEL)
                <x-store::carousel :options="$data"></x-store::carousel>

                @break

            @case ($customization::STATIC_CONTENT)
                {{-- push style --}}
                @push ('styles')
                    <style>
                        {{ $data['css'] }}
                    </style>
                @endpush

                {{-- render html --}}
                {!! $data['html'] !!}

                @break

            @case ($customization::CATEGORY_CAROUSEL)
                {{-- Categories carousel --}}
                <x-store::categories.carousel
                    :title="$data['title'] ?? ''"
                    :src="route('shop.api.categories.index', $data['filters'] ?? [])"
                    :navigation-link="route('shop.home.index')"
                >
                </x-store::categories.carousel>

                @break

            @case ($customization::PRODUCT_CAROUSEL)
                {{-- Product Carousel --}}
                <x-store::products.carousel
                    {{-- title="Men's Collections" --}}
                    :title="$data['title'] ?? ''"
                    :src="route('shop.api.products.index', $data['filters'] ?? [])"
                    :navigation-link="route('shop.home.index')"
                >
                </x-store::products.carousel>

                @break
        @endswitch
    @endforeach
</x-store::layouts>
